Overview

Availability
All Boards

Matrox Intellicam is a high-level, 32-bit Windows-based program that provides fast camera interfacing and interactive access to all the grab features and functionalities of your Matrox frame grabber. Matrox Intellicam allows you to grab with various camera types and see the results immediately.

You can also use Matrox Intellicam to create and/or modify digitizer configuration format (DCF) files for use with Matrox frame grabbers that support non-standard acquisition. These files can then be used to interface with any camera supported by your frame grabber.


Interface overview

Availability
All Boards

Matrox Intellicam is Multiple Document Interface (MDI) compliant and follows the general conventions of a Windows Graphical User Interface (GUI). You can refer to your Windows documentation for specific explanations of the window conventions, such as drop-down menus, icons, and dialog boxes.

Important information concerning the user interface is found in the remaining Matrox Intellicam's interface topics.

The following displays a typical Matrox Intellicam window.


Menu bar

Availability
All Boards

The menu bar gives you access to most of Matrox Intellicam’s operations. Depending on which type of window is currently active, commands in a menu are enabled or disabled.

See the Menu Commands chapter for a detailed description of each of the Matrox Intellicam menus and their commands.

Related topics: Menu commands chapter.


Context menu

Availability
All Boards

The context menus give you quick access to some of the most commonly used menu commands in Matrox Intellicam. Many of the items in Matrox Intellicam have context menus, that is, menus that are accessed by clicking the right mouse button when the cursor is over these items. These items include image windows, DCF dialog boxes, the main application workspace, and dialog boxes.

All context menu commands also appear in the main menus.

Related topics: Menu bar


Toolbar

Availability
All Boards

The tool bar allows you to quickly access the most common commands in Matrox Intellicam. For example, to open a file, click on the Open button rather than going through the menu hierarchy.

The View Toolbar command displays or hides the main window's toolbar. When you exit from Matrox Intellicam, the toolbar setting is saved for your next session.

The toolbar is dockable to the top, bottom, left, or right edge of the Matrox Intellicam application workspace. It can also appear as a window that you can position anywhere on the Windows desktop. To move the toolbar, place your cursor anywhere on the bar, except over the buttons, and then drag the button bar to the required position.

Note that not all buttons are accessible at any one time. Depending on the active window, some are grayed out.

1 | New DCF: | Creates a DCF.
2 | New image: | Creates an image.
3 | Open: | Opens an existing document.
4 | Save: | Saves the active document.
5 | Validate DCF: | Validates the active DCF and computes all hardware registers.
6 | Single grab: | Grabs a single image.
7a) | Single safe grab: | Grabs a single safe image.
7b) | Single Bayer grab: | Grabs a single image and performs Bayer conversion.
8 | Continuous grab: | Grabs a continuous image.
9a) | Continuous safe grab: | Grabs a continuous safe image.
9b) | Continuous Bayer grab: | Grabs a continuous image and performs Bayer conversion.
10 | Halt Grab: | Halts a continuous grab.
11 | Bayer Settings: | Configures the Bayer settings.
12 | Digitizer Control: | Modifies the dynamic digitizer controls.
13 | System Selection: | Specifies a system.
14 | Clear in: | Specifies a color with which to clear the image.
15 | Print: | Prints the active document.
16 | Contents: | Displays the contents of the on-line help.
17 | Context Help: | Obtains context-sensitive help.

Related topic: View Toolbar, New Digitizer Configuration Format, New Image, Open, Save, Validate DCF, Single grab, Single safe grab, Single Bayer grab, Continuous grab, Continuous safe grab, Continuous Bayer grab, Halt grab, Bayer Settings, Digitizer Control, System Selection, Clear in, Print, Contents, Context Help.


Status bar

Availability
All Boards

The status bar displays information regarding the active window. Different windows have different status bars.

  • Main application workspace: Displays various information messages. When you place the cursor over a tool button, the status bar displays a short description of the tool button. When an error occurs, the status bar flashes the corresponding MIL error message. Note that you can specify the duration and the number of times to flash the error messages, using the Systems tab in the Options Preferences dialog box. In the View menu, a check mark appears next to the words status bar when the status bar is displayed. When you exit Matrox Intellicam, the status bar setting is saved for your next session.

  • DCF dialog box: Displays the name of the active system, and a "traffic light" type signal. When your DCF is configured properly, the "green light" is active. If there is an error in the current tab, which you can correct by adjusting other values in the same tab, the "yellow light" is active. If there is an error that you can correct by adjusting values in another tab(s), the "red light" is active.

  • Image window: Displays the active system, the coordinates of a child area if one is specified (relative to the coordinates (0,0) of the image window), the horizontal and vertical dimensions of a child area if one is specified, the number of bands and the number of bits per band, the coordinates and value of the pixel under the cursor (with respect to the coordinate (0, 0)).

Related topics: Options Preferences System tab and View Status bar.


Application title bar

Availability
All Boards

The application title bar identifies Matrox Intellicam as the program currently running. It also identifies the active DCF or image. When an image window displaying a continuous grab is active, the application title bar also specifies the DCF used for the grab.


Image title bar

Availability
All Boards

The image title bar displays the file name of the image document. When a image window displaying a continuous grab is active, the DCF used for the grab is also specified in the image title bar.


Print preview toolbar

Availability
All Boards

Accessed from

File Print Preview

The print preview toolbar allows you to access the Print Preview commands.

1 | Print: | Opens the Print dialog box so that you can start a print job.
2 | Next Page: | This option is not needed in Matrox Intellicam and therefore not available.
3 | Prev Page: | This option is not needed in Matrox Intellicam and therefore is not available.
4 | One Page/Two Page: | This option is not needed in Matrox Intellicam and therefore is not available.
5 | Zoom In: | Enlarges the view of the printed page.
6 | Zoom Out: | Reduces the view of the printed page.
7 | Close: | Returns from print preview to the main workspace.

Related topics: File Print Preview


Window management

Availability
All Boards

Any window (and icon) in Matrox Intellicam can be managed very much like those of other Windows applications. Windows can be maximized, minimized, dragged, resized, rearranged (tiled, cascaded), opened, and closed. Window icons can be dragged and rearranged.

Matrox Intellicam's windows can also be organized using the commands of the Window menu. The Window menu lists all opened windows in Matrox Intellicam's workspace.

Particularly useful are the Window Cascade, Window Tile, and Window Arrange Icons commands; they allow you to specify the arrangement of the windows in the Matrox Intellicam workspace. The Window Cascade command rearranges all windows so that they are partially overlaid one on top of the other, in a cascading pattern. The Window Tile command arranges all open windows like tiles so that they cover the entire workspace. The size of the 'tiles' depends on how many windows are open in the workspace. The 'tiles' are reduced or enlarged, as required, in order to fit in the workspace. The Window Arrange Icon command arranges all window icons in rows at the bottom of the application workspace.

An additional window management technique is the Window Close All command. The Window Close All command closes all windows and window icons.

Related topics: Toolbar, Window Cascade, Window Tile, Window Arrange Icons, and Window Close all.


Image window

Availability
All Boards

The image window displays an image that was either loaded from disk or grabbed from an input device (typically, a camera). The image window can also display a continuous grab. Each image occupies its own window. The Image Import command will load an imported image into the active image window on top of any image that was previously displayed in that window.

You can change the dimensions of an image window. This is done by placing the cursor at the right corner of the image status bar and pressing the left mouse button continuously while moving your mouse in any direction.

The image window can be maximized and minimized just like any Windows window. If your image window is maximized and the actual image is still larger than the image window, you can view different areas of the image using the scroll bars.

Related topics: Image Import


DCF dialog box window

Availability
All Boards

The DCF dialog box allows you to create or modify a DCF using its various tabs. If you are unsure of the DCF settings, refer to the documentation and/or specifications of your system and camera. Note that the options available in the DCF dialog box depend on your system and camera type; if the options are not supported for the selected camera type, they will either not be present or appear grayed out.

Related topic: DCF dialog box


Dialog boxes

Availability
All Boards

Many dialog boxes are actually multiple dialog boxes overlaid one on top of the other. The main dialog box is referred to as a dialog box, while its internal dialog boxes are referred to as tabs.


New

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New button.

  • CTRL+N.

  • Context Menu.

Opens the New Document dialog box which allows you to create a new DCF file or image document. You can create a DCF file only if the active system is a frame grabber.

New Document dialog box options

  • Digitizer Configuration Format tab: Loads predefined DCF files that can be used to interface with your camera.

  • Image tab: Loads or creates image documents (TIFF, MIM, RAW, BMP) for processing, grabbing and/or displaying. To load and create JPEG and JPEG2000 image documents, you must have a MIL compression and decompression license. With Matrox Morphis, compression/decompression can be performed with hardware. This requires a JPEG2000 accelerator, and hardware that supports the compressed buffer's format.

Related topics: Digital configuration format tab and Image tab.


Digitizer configuration format tab

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New DCF button.

  • CTRL+N.

  • Context Menu.

This tab sets the predefined DCF file to load. It is easier to change a few settings in a predefined DCF than to create a new DCF from scratch. Prior to specifying a predefined DCF set the system you would like to use. The imaging board selected at installation time is the default board assigned to the system when opening a DCF or image. If you would like to use a different imaging board you can change the board using the Options System Selections menu command or the System Selection drop-down menu in the tool button bar. If you do not have the appropriate board installed on your system, select the virtual version of the board that you would like to use.

Once the proper system is selected; re-open the Digitizer Configuration Format tab and select the required format from the Available Digitizer Configuration Format list box. This will open the DCF dialog box.

Refer to the DCF dialog box topic for information on specific DCF sub-tabs.

New document dialog box options

  • Browse: Allows you to locate saved DCFs that might not be listed in the Available Configuration Format list.

Click on the Browse button, locate the required format, and then click on the Open button. The saved format will be added to the list box, where it can be selected. Once you have selected the required format, click on OK. The DCF dialog box opens.

  • Clear DCF Files: Removes all DCF files that are not default formats from the Available Digitizer Configuration Format list.

Related topics: Options System Selection, DCF dialog box.


Image tab

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New Image button.

  • CTRL+N.

  • Context Menu.

Sets the new image characteristics.

Image tab dialog box

  • Settings set manually: Allows you to set the dimensions, type, and attributes of the image.

  • Dimensions: Specifies the size of the image to grab.

  • Width: Sets the required dimension of the new image in the X-direction.

  • Height: Sets the required dimension of the new image in the Y-direction.

  • Number of bits: Sets the required pixel depth (in bits) of each band in the image.

  • Number of bands: Sets the required number of color bands for the image.

  • Display mode: Sets the display mode (in bits) of each band in the image. Specifying how many bits are used to display each pixel in the image window. This field can also be set to auto-scale. Auto-scale re-maps the pixel values to the display so that the minimum and maximum values in the image (not the full range of the image buffer) are set to 0 and 255, respectively. If the image buffer contains a single value, the displayed value is determined by linearly re-mapping the full range of the image buffer to that of the display (for example, (0 to 64K) to (0 to 255)).

  • Type: Specifies the type of image to grab.

  • Unsigned: Sets the image buffer to unsigned. Therefore, the image buffer only contains positive values.

  • Signed: Sets the image buffer to signed. Therefore, the image buffer can contain negative values. If you plan to perform operations that result in negative values, you should use signed image data. However, you cannot grab with a signed image buffer.

  • Attribute: Allocates an image buffer that can be used for processing, grabbing and/or displaying.

  • Processing: Creates an image document that can be processed.

  • Grab: Creates an image document that can be grabbed.

  • Display: Creates an image document that can be displayed. When you create an image that does not have a display attribute, the image window will display "Non-display buffer."

  • Settings from current DCF: Creates an image document using the settings specified in the active DCF. Note that this field is only available when a DCF is open.


Open

Availability
All Boards

Menu

File Open

Shortcut

  • Toolbar Open button.

  • CTRL+O.

  • Context Menu.

Retrieves a saved image or DCF.

Open dialog box

  • Look in: Specifies the drive and folder in which the required document is located. Double click on the document file name from the Look in list box. Alternatively, type it directly into the File name edit field, and then click on the Open button. If you selected an image, it appears in a new window. If you selected a DCF file, the DCF dialog box opens.

  • File name: Sets the required file name and extension. If you are looking for a file with a specific file extension and you do not know the name of the file, set File name to an asterisk followed by the appropriate extension (for example, *.DCF), and then press Enter.

  • Files of type: Sets the extension(s) of the file(s) to list. Selecting a DCF file results in the DCF dialog box opening.

  • Display mode of image files: Sets the display mode of an image if one is opened.

Related topics: DCF dialog box, Digital Configuration format tab.


DCF dialog box

Availability
All Boards

Dialog:

DCF dialog box

Accessed from:

  • File New command

  • File Open, open a DCF

Shortcut:

New DCF button

Allows you to create or modify a DCF file using its various tabs. If you are not sure of the values to use, refer to the documentation and/or specifications of your system and camera. Once you are satisfied with the settings of your DCF, you can save it using the File Save As or File Save commands.

When you open a DCF that was created for a system other than the active one, make sure that the auto-correction option is enabled in the Option Preferences DCF Editor tab. When enabled, Matrox Intellicam ensures that all DCF settings are valid for the active system. Matrox Intellicam will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. You must always verify the automatically selected values to make sure that they match the specifications of your target camera.

A "traffic light" type signal is displayed in the status bar of the DCF dialog box. When your DCF is configured properly, the "green light" is active. If there is an error in the current tab, which you can correct by adjusting other values in the same tab, the "yellow light" is active. If there is an error that you can correct by adjusting values in another tab(s), the "red light" is active.

The tabs available depend on the system selected and the specific camera type used. For example, the Matrox Meteor-II /1394 DCF contains solely the Overview tab. You can view a list of the boards that apply to each tab by moving your mouse over the words Board Specific in the page header of this Help guide.

DCF Dialog box tabs

  • Overview tab: Identifies the system for which the DCF file is configured and lists some general information about the system and DCF.

  • Camera tab: Specifies information concerning your camera(s).

  • Video signal tab: Specifies information concerning the type of video signal that your camera uses.

  • Video timing tab: Specifies information concerning the camera's video timing.

  • Pixel clock tab: Specifies information concerning the source and rate of the pixel clock.

  • Exposure signal tab: Specifies information concerning all exposure timers in the system.

  • Grab mode tab: Specifies grab and trigger characteristics.

  • Sync. signal tab: Specifies information concerning the synchronization signals.

  • Digital synchro tab: Specifies information concerning the digital synchronization signals.

  • Advanced tab: Specifies advanced options for the digitizer.

  • Other tab: Specifies advanced options for the digitizer.

  • Bits tab/sub-tab: Controls the input, output, and the camera control user-defined signals.

Related topics: Options Preferences DCF Editor.


Overview tab

Availability
All Boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select Digitizer Configuration Format tab, open a DCF.

  • File Open, open a DCF.

Shortcut:

New DCF button

Identifies the system for which the DCF is configured and lists some of the general settings found in the DCF.

Note that the visual presentation of this tab changes depending on the system used; the biggest difference being between a system that supports only standard cameras and one that supports non-standard cameras and configurable DCFs.

Overview tab options

  • Board type: Specifies the version of the system to use (for example, analog, digital, and Camera Link). Note that if you are using an actual system (that is, not a virtual system), the proper choice is automatically selected.

  • General Information: Describes general DCF information, including the digitizer number, camera name, camera signal, camera resolution, vertical timing, video signal, trigger type, camera type, and pixel clock type.

  • Digitizer number: Specifies which digitizer to allocate to the system.

  • DCF Information: Describes general information regarding the DCF file, including its directory, its creation date, and infofile revision.


Camera tab

Availability
All Boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select Digitizer Configuration Format tab, open a DCF.

  • File Open, open a DCF.

Shortcut:

New DCF button

Specifies information concerning your camera(s). The sub-tabs available depend on the active system and the specific camera type used.

Camera sub-tab options

  • Camera sub-tab: Sets the type of camera, the number of cameras, the number of taps, the Bayer mode, and displays a description of the camera.

  • Camera link configuration sub-tab: Specifies how grabbed data is sent from the camera to the destination image and gives a preview indicating how grabbed data is currently sent.

  • Tap configuration sub-tab: Sets the tap configuration type and the camera mode currently used.


Camera sub-tab

Availability
Matrox Solios
Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II /Standard
Matrox Meteor-II /Camera Link
Matrox Meteor-II /1394
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies camera information.

Camera sub-tab options

  • Description: Specifies the name of your camera.

  • Type: Sets the camera type.

  • Number of cameras: Sets the number of cameras used. Note that the number of enabled channels in the Video signal tab must match the product of the number of cameras and the number of taps per camera.

  • Number of taps: Sets the number of taps that a multi-tap camera uses, if a multi-tap camera is used.

  • Convention inverted: Specifies whether the camera sends fields (within a frame ) in an even/odd sequence or an odd/even sequence.

  • Bayer mode: Identifies the Bayer pattern to use when performing Bayer conversion. This field is only available when using Matrox Helios XCL, Odyssey XCL, or Odyssey XD. These three boards implement Bayer conversion directly on the board. Bayer conversion is implemented using the Single grab, Single Safe grab, Continuous grab, and Continuous Safe grab commands. The Bayer conversion field in the Digitizer Control Bayer tab must also be enabled.

Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one. If your camera does not have a Bayer color filter and you specify a Bayer pattern incorrect pixel information will result.

See the To perform Bayer conversion and white balancing topic for more information on applying Bayer conversion by the Host.

  • Comments: Specifies any comments useful in describing the camera. These comments will appears as remarks at the top of the DCF file.

Related topics: Single Bayer Grab, Continuous Bayer Grab, To perform Bayer conversion and white balancing, and Digitizer Control Bayer tab.


Camera Link configuration sub-tab

Availability
Matrox Solios XCL
Matrox Odyssey XCL
Matrox Meteor-II /Camera Link
Matrox Helios XCL

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies information concerning the Camera Link configuration. Camera Link is a high speed digital communication interface camera-to-frame grabber standard that combines a low-voltage differential signal (LVDS) with serial digital data flow. Camera Link supports various signals such as asynchronous reset, horizontal synchronization, and vertical synchronization. Two possible views of this tab are available depending on the system selected.

Camera Link configuration sub-tab options

  • Configuration Type: Specifies the configuration type of the Camera Link data transfer: Base, Medium, or Full. The options available depend on the system selected.

  • Options specific to Matrox Meteor-II /Camera Link.

  • Options specific to Matrox Helios XCL, Odyssey XCL, and Solios XCL.


Camera Link configuration sub-tab options specific to Matrox Meteor-II /Camera Link

Availability
Meteor-II /Camera Link

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies Camera Link information specific to the Matrox Meteor-II /Camera Link board.

Camera Link configuration sub-tab options specific to Matrox Meteor-II /Camera Link

  • Channel 0/ Channel 1: Specifies whether pixel information is being sent from that channel. When the channel is enabled, you must set the number of taps supported and the depth of each tap in bits. Dual-tap and multi-tap cameras transmit two or more pixels simultaneously.

  • Synchronization signals: Specifies which channel carries the synchronization signal.

  • Data Bus Preview: Displays a preview of the data bus according to the fields specified above.


Camera Link configuration sub-tab options specific to Matrox Helios XCL, Odyssey XCL, and Solios XCL

Availability
Matrox Solios XCL
Matrox Odyssey XCL
Matrox Helios XCL

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Sets the Camera Link Configuration option specific to the Matrox Helios XCL, Odyssey XCL and Solios XCL boards.

Camera Link configuration sub-tab options specific to Matrox Helios XCL, Odyssey XCL and Solios XCL

Camera Mode: Specifies whether or not the camera is single-tap, dual-tap or multi-tap. Dual-tap and multi-tap cameras transmit two or more pixels simultaneously. This field also specifies the depth of each tap in bits.


Tap configuration sub-tab

Availability
Matrox Solios
Matrox Odyssey
Matrox Meteor-II
Matrox Meteor-II /Multi Channel
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Sets the tap configuration implemented for multi-tap cameras. A multi-tap camera is a camera that has two or more outputs. Therefore, two or more pixels can be transmitted simultaneously. This setup allows for faster frame/line rates without increasing the pixel clock. Different views of this tab are available depending on the system selected.

Tap configuration sub-tab options

  • Options specific to Matrox Helios, Odyssey, and Solios boards

  • Options specific to Matrox Meteor-II (/Multi-Channel, /Digital, /Camera Link), Genesis, and Corona-II.


Tap configuration sub-tab options specific to Matrox Helios, Odyssey, and Solios

Availability
Matrox Solios
Matrox Odyssey
Matrox Helios

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies the region and location of the pixels sent to the digitizer. Multi-tap cameras allow you to send several pixels simultaneously, depending on how many taps the camera supports.

Tap Configuration sub-tab options specific to Matrox Helios, Odyssey, and Solios

  • Regions: Specifies the number of regions in which to split the transmitted image. The image can be broken into as many regions as there are taps, in which case, one pixel is sent per region. If the image is split into less regions than taps, several adjacent pixels are sent simultaneously from each region.

  • Adjacent pixels: Specifies how many adjacent pixels are sent to the digitizer at one time. When there are as many regions as there are taps, only one pixel is sent per region. However when there are less regions than taps, multiple pixels are sent simultaneously from each region. If multiple adjacent pixels are transmitted you must specify in which direction they are adjacent, X and/or Y.

  • Tap orders and directions: Displays the selected tap order and direction. This preview allows you to see how many regions are selected and the actual location of the pixels in the regions. The blue arrows specify the location of the next pixels to be sent. This preview changes dynamically as the Regions and Adjacent Pixels fields are modified.


Tap configuration sub-tab options specific to Matrox Meteor-II (/Multi-Channel, /Digital, /Camera Link), Genesis, and Corona-II

Availability
Matrox Meteor-II /Multi-Channel
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Genesis
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies the tap configuration implemented for multi-tap cameras.

Tap Configuration sub-tab options specific to Matrox Meteor-II (Multi-Channel, /Digital, /Camera Link), Genesis, and Corona-II

  • Tap Destination(s): Indicates how grabbed data is to be saved in the destination buffers. The number of tap destinations must match the number of taps selected in the Camera sub-tab.

  • Preview: Indicates how grabbed data is currently saved.

Related topics: Camera sub-tab.


Video signal tab

Availability
Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Meteor-II /Multi-Channel
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the video signal that your camera produces.

Video Signal tab options

  • Video Signal Information: Specifies video signal information.

  • Standard: Specifies whether the image is color or monochrome. If the image is color, the method used to transmit color components is also specified.

  • Data bus width: Specifies the depth of the grabbed pixels. Note that this value depends on the system selected. When grabbing an analog signal, this value corresponds to the number of bits to which the image is quantized.

  • Options specific to Matrox Helios XA, Odyssey XA, and Solios XA.

  • Options specific to Matrox Helios XCL, Odyssey (XD, XCL), and Solios XCL.

  • Options specific to Matrox Orion, Morphis, Meteor-II (/Standard, /Multi-Channel), Genesis, CronosPlus, and Corona-II when the video signal type is analog.

  • Options specific to Matrox Meteor-II (/Digital, /Camera Link), Genesis, and Corona-II when the video signal type is digital.


Video signal tab options specific to Matrox Helios XA, Odyssey XA, and Solios XA

Availability
Matrox Solios XA
Matrox Odyssey XA
Matrox Helios XA

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies video signal information specific to Matrox Helios XA, Odyssey XA, and Solios XA.

Video Signal tab options specific to Matrox Helios XA, Odyssey XA, and Solios XA

  • Video Signal Information: Specifies the video signal information.

  • MIL channel / input: Specifies which channels are used to input video information. There may be several channels available on each acquisition path. This field allows you to choose whether the first or second channel on the selected acquisition path (see below) is used for video signal information.

  • Acquisition Path: Allows you to specify which acquisition path(s) are used, as well as the coupling mode and filter for those paths. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel (see above). Monochrome images require only one acquisition path. RGB color images require three acquisition paths, one for red, one for green, and one for blue.

  • Analog Video Signal Information: Specifies analog video signal information.

  • Clamping in: Specifies the clamping location. Clamping is the period during which the reference voltage level (or DC offset) of an analog signal is determined. In most cameras clamping occurs during the back porch of the horizontal synchronization signal interval, though in some cameras it might occur during the front porch or during the synchronization pulse.

  • Chrominance input: Specifies the C component of a color signal. This field is active only when the S-VHS(Y/C) standard is selected.

  • Use default video voltage swing, pedestal, and references: Uses the default video voltage swing, pedestal, and references, when selected. When it is not selected, you can set the video voltage swing and pedestal manually.

  • Hue: Specifies the hue reference level for a composite, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Brightness: Specifies the brightness reference level for a composite color, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Saturation: Specifies the saturation reference level for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Contrast: Specifies the contrast for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Video Voltage Swing: Specifies the type and amplitude of the video voltage swing.

  • Type: Specifies the polarity of the video voltage swing.

  • Amplitude: Specifies the amplitude for the video voltage swing, in mV.

  • Pedestal: Allows you to set the video signal's pedestal amplitude if the enable pedestal option is selected.


Video signal tab options specific to Matrox Helios XCL, Odyssey (XD, XCL), and Solios XCL

Availability
Matrox Solios XCL
Matrox Odyssey XD
Matrox Odyssey XCL
Matrox Helios XCL

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video signal information specific to the digital and Camera Link versions of Matrox Helios, Odyssey, and Solios.

Video Signal tab options specific to Matrox Helios XCL, Odyssey (XCL, XD) and Solios XCL

  • Video Signal Information: Specifies video signal information.

  • MIL channel / input: Specifies which channels are used to input video information. There may be several channels available on each acquisition path. This field allows you to choose whether the first or second channel on the selected acquisition paths (see below) is used for video signal information.

  • Acquisition Path: Allows you to specify which acquisition path(s) are used, as well as the coupling mode and filter for those paths. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel (see above). Monochrome images require only one acquisition path. RGB color images require three acquisition paths, one for red, one for green, and one for blue. Note that Matrox Odyssey XD does not support coupling modes and filters.

  • Digital Video Signal Information: Specifies the format of the digital video signal. For Matrox Solios XCL, Odyssey XD, Odyssey XCL, and Helios XCL the available format is LVDS.


Analog Video signal tab options specific to Matrox Orion, Morphis, Meteor-II (/Standard, /Multi-Channel), Genesis, CronosPlus, and Corona-II

Availability
Matrox Orion
Matrox Morphis
Matrox Meteor-II /Standard
Matrox Meteor-II /Multi Channel
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies video signal information specific to Matrox Orion, Morphis, Meteor-II (/Standard, /Multi-Channel), Genesis, CronosPlus, and Corona-II when the video signal type is analog.

Video Signal tab options specific to Matrox Orion, Morphis, Meteor-II (/Standard, /Multi-Channel), Genesis, CronosPlus, and Corona-II when the video signal type is analog

  • Video Signal Information: Specifies the video signal information.

  • Input channel:Specifies the number of acquisition paths or the number of color components of the image depending on the image that you are grabbing. If you are using an RGB camera, enable channels 1, 2, and 3. If you are grabbing a monochrome image you must specify channel 0. If you are using RGB alpha data, enable all four channels. If you are using s_VHS(Y/C) data enable channel 1 and 2. If you are using a multi-tap camera, select an input channel for each corresponding tap. Note that, for two taps, you can enable channels 0 and 1, or channels 2 and 3. If you are using multiple cameras, enable the required number of input channels for each camera.

  • Analog Video Signal Information: Specifies analog video signal information.

  • Clamping in: Specifies the clamping location. Clamping is the period during which the reference voltage level (or DC offset) of an analog signal is determined. In most cameras clamping occurs during the back porch of the horizontal synchronization signal interval, though in some cameras it might occur during the front porch or during the synchronization pulse.

  • Chrominance input: Specifies the color input of the image. This field is active only when the S-VHS(Y/C) standard is selected. The chrominance is the C component of the color signal.

  • Use default video voltage swing, pedestal, and references: Uses the default video voltage swing, pedestal, and references, when selected. When it is not selected, you can set the video voltage swing and pedestal manually.

  • Hue: Specifies the hue reference level for a composite, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Brightness: Specifies the brightness reference level for a composite color, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Saturation: Specifies the saturation reference level for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Contrast: Specifies the contrast for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Video Voltage Swing: Specifies the type and amplitude of the video voltage swing.

  • Type: Specifies the polarity of the video voltage swing.

  • Amplitude: Specifies the amplitude for the video voltage swing, in mV.

  • Pedestal: Allows you to set the video signal's pedestal amplitude if the enable pedestal option is selected.


Digital Video signal tab options specific to Matrox Meteor-II (/Digital, /Camera Link), Genesis, and Corona-II

Availability
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Genesis
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video signal information specific to Matrox Meteor-II (/Digital, /Camera Link), Genesis, and Corona-II when the video signal type is digital.

Video signal tab options specific to Matrox Meteor-II (/Digital, /Camera Link), Genesis, and Corona-II when the video signal type is digital

  • Video Signal Information: Specifies video signal information.

  • Input channel: Specifies the number of acquisition paths or the number of color components of the image depending on the image that you are grabbing. If you are using an RGB camera, enable channels 1, 2, and 3. If you are grabbing a monochrome image you must specify channel 0. If you are using RGB alpha data, enable all four channels. If you are using a multi-tap camera, select an input channel for each corresponding tap. Note that, for two taps, you can enable channels 0 and 1, or channels 2 and 3. If you are using multiple cameras, enable the required number of input channels for each camera.

  • Digital Video Signal Information: Specifies the format of the digital video signal.


Video timing tab

Availability
Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning your camera's video timings.

Video timing tab options

  • Options specific to Matrox Helios XCL, Odyssey XCL and Solios XCL.

  • Options specific to Matrox Helios XA, Odyssey (XA, XD), and Solios XA.

  • Options specific to Matrox Corona-II, CronosPlus, Meteor-II (except /1394), Morphis, and Orion.


Video timing tab options specific to Matrox Helios XA, Odyssey (XA, XD), and Solios XA

Availability
Matrox Solios XA
Matrox Odyssey XA
Matrox Odyssey XD
Matrox Helios

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies video timing options specific to Matrox Helios XA, Odyssey (XA, XD), and Solios XA.

Video Timing options specific to Matrox Helios XA, Odyssey (XA, XD), and Solios XA

  • Timings: Specifies the video timing settings.

  • Video timing: Specifies the video format that is compatible with your camera (non-standard, RS-170A, CCIR, NTSC, PAL, and CL). Note that the compatible video formats available for selection are dependent on the system selected.

  • Vertical timing: Specifies whether an interlaced or non-interlaced video signal is used. An interlaced video signal divides the image frames into two fields, an even field and an odd field. The frame is then read out of the sensor in an odd/even or even/odd fashion. In a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor at one time. This value depends on your camera. If you are using a line scan camera, select the non-interlaced option.

  • Horizontal: Specifies information about the horizontal video timings of the device generating the horizontal synchronization signal, in either usec or pclk. To change a value, type it in the corresponding edit field. Use the up or down arrow buttons to edit the pclk areas. You can experiment with these settings interactively during a continuous grab. This can be particularly useful for fine-tuning the back porch and front porch periods.

  • Sync: Specifies the length of the horizontal synchronization signal.

  • BPorch: Specifies the length of the back porch period (in a line).

  • Active: Specifies the length of the active video period (actual video information in a line).

  • FPorch: Specifies the length of the front porch period (in a line).

  • Total: Displays the total time for a line to be processed. When using non-interlaced vertical timing the total field displays the total time to process a line in a frame. When using interlaced vertical timing the total field displays the total time to process a line in either the odd or even field.

  • Frequency: Specifies the line scan frequency, that is, the total line time / total number of lines, in kHz. As you increase/decrease the front and back porches, the frequency is automatically decreased/increased to reflect changes in the front porch and back porch signals. The active video period and synchronization values are never changed. As you decrease the frequency, the front and back porches are automatically decreased to reflect the new frequency.

  • Lock Active and Total: Locks the settings of the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total values.

  • Vertical: Specifies information about the vertical timings of the device generating the synchronization signal. To change a value, type it in the corresponding edit area, or use the up or down arrow buttons.

  • Sync: Specifies the number of lines (in a frame) required for the vertical synchronization signal.

  • BPorch: Specifies the number of lines (in a frame) required for the back porch period.

  • Active: Specifies the number of lines (in a frame) that contain actual video information.

  • FPorch: Specifies the number of lines (in a frame) required for the front porch period.

  • Total: Displays the total number of lines in a frame.

  • Frequency: Displays the frame or field rate, that is, the total number of frames or fields per second, in Hz.

  • Lock Active and Total: Locks the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total fields.

  • Pixel Clock Frequency: Displays the pixel clock frequency and specifies whether this setting should be automatically adjusted. If you change the pixel clock frequency (using the Pixel Clock tab), the auto-adjust option is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Pixel Clock tab.

  • Frequency: Displays the pixel clock frequency that is specified in the Pixel Clock tab.

  • Auto-adjust: Adjusts the pixel clock frequency when one of the horizontal timings values is modified. That is, as you modify one of the values in the horizontal timings, the pixel clock frequency is modified to reflect the new horizontal timings. When the Auto-adjust option is disabled, the pixel clock frequency remains fixed.

Related topics: Pixel Clock tab


Video timing tab options specific to Matrox Corona-II, CronosPlus, Genesis, Meteor-II (except /1394), Morphis and Orion

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II /Camera Link
Matrox Meteor-II /Digital
Matrox Meteor-II /Multi-Channel
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Odyssey XA
Matrox Odyssey XD
Matrox Orion
Matrox Solios XA

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning your camera's video timings specific to the Matrox Corona-II, CronosPlus, Genesis, Meteor-II (except /1394), Morphis, and Orion.

Video timing tab options specific to Matrox Corona-II, CronosPlus, Genesis, Meteor-II (except /1394), Morphis and Orion

  • Timings: Specifies timing information.

  • Video timing: Specifies the video format that is compatible with your camera (non-standard, RS-170A, CCIR, NTSC, PAL, and CL). Note that the compatible video formats available for selection are dependent on the system selected.

  • Vertical timing: Specifies whether an interlaced or non-interlaced video signal is used. An interlaced video signal divides the image frames into two fields, an even field and an odd field. The frame is then read out of the sensor in an odd/even or even/odd fashion. In a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor at one time. This value depends on your camera. If you are using a line scan camera, select the non-interlaced option.

  • Pixel Clock Frequency: Displays the pixel clock frequency and specifies whether this setting should be automatically adjusted. If you change the pixel clock frequency (using the Pixel Clock tab), the auto-adjust option is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Pixel Clock tab.

  • Frequency: Displays the pixel clock frequency that is specified in the Pixel Clock tab.

  • Auto-adjust: Adjusts the pixel clock frequency when one of the horizontal timings values is modified. That is, as you modify one of the values in the horizontal timings, the pixel clock frequency is modified to reflect the new horizontal timings. When the Auto-adjust option is disabled, the pixel clock frequency remains fixed.

  • Horizontal: Specifies information about the horizontal video timings of the device generating the horizontal synchronization signal, in either usec or pclk. To change a value, type it in the corresponding edit field. Use the up or down arrow buttons to edit the pclk areas. You can experiment with these settings interactively during a continuous grab. This can be particularly useful for fine-tuning the back porch and front porch periods.

  • Sync: Specifies the length of the horizontal synchronization signal.

  • BPorch: Specifies the length of the back porch period (in a line).

  • Active: Specifies the length of the active video period (actual video information in a line).

  • FPorch: Specifies the length of the front porch period (in a line).

  • Total: Displays the total time for a line to be processed. When using non-interlaced vertical timing the total field displays the total time to process a line in a frame. When using interlaced vertical timing the total field displays the total time to process a line in either the odd or even field.

  • Frequency: Specifies the line scan frequency, that is, the total line time / total number of lines, in kHz. As you increase/decrease the front and back porches, the frequency is automatically decreased/increased to reflect changes in the front porch and back porch signals. The active video period and synchronization values are never changed. As you decrease the frequency, the front and back porches are automatically decreased to reflect the new frequency.

  • Lock Active and Total: Locks the settings of the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total settings.

  • Vertical: Specifies information about the vertical timings of the device generating the synchronization signal. To change a value, type it in the corresponding edit area, or use the up or down arrow buttons.

  • Sync: Specifies the number of lines (in a frame) required for the vertical synchronization signal.

  • BPorch: Specifies the number of lines (in a frame) required for the back porch period.

  • Active: Specifies the number of lines (in a frame) that contain actual video information.

  • FPorch: Specifies the number of lines (in a frame) required for the front porch period.

  • Total: Displays the total number of lines in a frame.

  • Frequency: Displays the frame or field rate, that is, the total number of frames or fields per second, in Hz.

  • Lock Active and Total: Locks the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch values without changing the active video period and total fields.

Related topics: Pixel Clock tab


Video timing tab options specific to Matrox Helios XCL, Odyssey XCL, and Solios XCL

Availability
Matrox Solios XCL
Matrox Odyssey XCL
Matrox Helios XCL

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video timing information options specific to Matrox Helios XCL, Odyssey XCL, and Solios XCL. There are two views of this tab depending on whether the Advanced or Simplify button is selected.

Video timing tab options specific to Matrox Helios XCL, Odyssey XCL, and Solios XCL

  • Valid Signal Source: Specifies whether the camera or the frame grabber controls the synchronization signals. For digital and analog boards this is set to use LVAL/FVAL/DVAL from the frame grabber. LVAL/FVAL/DVAL stands for line valid, frame valid and data valid.

  • Vertical timing: Specifies whether an interlaced or non-interlaced video signal is used. An interlaced video signal divides the image frames into two fields, an even field and an odd field. The frame is then read out of the sensor in an odd/even or even/odd fashion. In a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor at one time. This value depends on your camera. If you are using a line scan camera, select the non-interlaced option.

Simplified view

  • Settings: Specifies the video timing settings:

  • Pixel clock frequency: Sets the pixel clock frequency in MHz. The pixel clock frequency is used to divide the incoming horizontal line of video into separate pixels by specifying the exact location, in time, of each pixel. The pixel clock is derived from either the camera or your frame grabber. Refer to your camera’s operating manual to determine if the camera provides a pixel clock. If you change the pixel clock frequency, the auto-adjust option in Advanced Video Timing (see below) is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Advanced view.

  • Camera Link Settings: Specifies the image size and a delay in time between the camera signal and the digitizer signal in the X and Y directions.

Advanced view

  • Timings: Sets the video and vertical timing.

  • Video timing: Specifies the video format that is compatible with your camera (non-standard, RS-170A, CCIR, NTSC, PAL, and CL). Note that the compatible video formats available for selection are dependent on the system selected.

  • Horizontal: Specifies information about the horizontal video timings of the device generating the horizontal synchronization signal, in either usec or pclk. To change a value, type it in the corresponding edit field. Use the up or down arrow buttons to edit the pclk areas. You can experiment with these settings interactively during a continuous grab. This can be particularly useful for fine-tuning the back porch and front porch periods.

  • Sync: Specifies the length of the horizontal synchronization signal.

  • BPorch: Specifies the length of the back porch period (in a line).

  • Active: Specifies the length of the active video period (actual video information in a line).

  • FPorch: Specifies the length of the front porch period (in a line).

  • Total: Displays the total time for a line to be processed. When using non-interlaced vertical timing the total field displays the total time to process a line in a frame. When using interlaced vertical timing the total field displays the total time to process a line in either the odd or even field.

  • Frequency:Specifies the line scan frequency, that is, the total line time / total number of lines, in kHz. As you increase/decrease the front and back porches, the frequency is automatically decreased/increased to reflect changes in the front porch and back porch signals. The active video period and synchronization values are never changed. As you decrease the frequency, the front and back porches are automatically decreased to reflect the new frequency.

  • Lock Active and Total: Locks the settings of the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total values.

  • Vertical: Specifies information about the vertical timings of the device generating the synchronization signal. To change a value, type it in the corresponding edit area, or use the up or down arrow buttons.

  • Sync: Specifies the number of lines (in a frame) required for the vertical synchronization signal.

  • BPorch: Specifies the number of lines (in a frame) required for the back porch period.

  • Active: Specifies the number of lines (in a frame) that contain actual video information.

  • FPorch: Specifies the number of lines (in a frame) required for the front porch period.

  • Total: Displays the total number of lines in a frame.

  • Frequency: Displays the frame or field rate, that is, the total number of frames or fields per second, in Hz.

  • Lock Active and Total: Locks the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch values without changing the active video period and total fields.

  • Pixel Clock Frequency: Displays the pixel clock frequency and specifies whether this setting should be automatically adjusted. If you change the pixel clock frequency (using the Pixel Clock tab), the auto-adjust option is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Pixel Clock tab.

  • Frequency: Displays the pixel clock frequency that is specified in the Pixel Clock tab.

  • Auto-adjust: Adjusts the pixel clock frequency when one of the horizontal timings values is modified. That is, as you modify one of the values in the horizontal timings, the pixel clock frequency is modified to reflect the new horizontal timings. When the Auto-adjust option is disabled, the pixel clock frequency remains fixed.

Related topics: Pixel Clock tab


Pixel clock tab

Availability
Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the source and rate of the pixel clock.

Pixel Clock tab options

  • Pixel Clock Frequency: Sets the pixel clock frequency.

  • Frequency: Specifies the pixel clock frequency, in MHz. The pixel clock frequency is used to divide the incoming horizontal line of video into separate pixels by specifying the exact location, in time, of each pixel. The pixel clock is derived from either the camera or your digitizer. Refer to your camera’s operating manual to determine if the camera provides a pixel clock. You can use the slider bar to specify this field or you can type it in directly.

  • Auto-adjust in the Video Timings tab: Adjusts the horizontal timings (displayed in the Video Timing tab) to reflect any changes in the pixel clock frequency. Select whether to modify the usec or pclk field in the horizontal timings.

  • I/O Characteristics: Specifies the characteristics of the input and/or output pixel clock source.

  • Send to external circuit (other than camera): Specifies that the digitizer generates the pixel clock signal that is used by an external circuit.

  • External Clock Signal: Sets the source of the pixel clock.

  • No Clock Exchange:Specifies that no external clock is used.

  • Generated by Digitizer: Specifies that the digitizer generates the clock signal and provides it to the camera. This allows the camera to synchronize to the digitizer. This setup is referred to as "master mode".

  • Generated by Camera: Specifies that the camera generates the clock signal and provides it to the digitizer. This setup is referred to as "slave mode". Possible synchronization schemes include:

    • Synchronization signals are encoded on the analog video signal provided to the digitizer.

    • Horizontal and/or vertical synchronization signal(s) are supplied separately by the camera in either TTL or RS-422 format.

    • The camera provides a composite synchronization signal in either TTL or RS-422 format.

  • Generated by Digitizer and Returned by Camera: Specifies that the digitizer generates the clock signal that is provided to the camera and then returned to the digitizer.

  • Frequency: Specifies the frequency of the pixel clock source signal (input, output, or both), as a multiple of the pixel clock frequency.

  • Format: Specifies the format of the pixel clock source signal (input, output, or both).

  • Polarity: Specifies the polarity of the pixel clock signal.

  • Delay: Specifies the input delay, in nsec. You can use the slider bar to specify the delay setting.

Related topics: Video Timing tab


Exposure signal tab

Availability
All Boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning exposure timers and exposure signals. There is a sub-tab for each available exposure timer. These sub-tabs are similar, although the options available for one timer might depend on the setting of another exposure timer or on the system selected.

Exposure signal tab options

  • Timer 1/Timer 2 sub-tabs: Sets timer information.

  • Timer1 advanced/ Timer 2 advanced sub-tabs: Specifies advanced exposure timer options.


Timer 1/Timer 2 sub-tabs

Availability

Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Exposure signal tab.

  • File Open command, open a DCF. Choose the Exposure signal tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Exposure signal tab.

  • Open button, open a DCF. Choose the Exposure signal tab.

Specifies exposure timer options. Timer1/Timer2 are two separate sub-tabs that describe two separate exposure timers. They are described below together because they are identical.

Timer1/Timer2 sub-tab options

  • Generation Mode: Selects the mode of the exposure timer. The exposure timer can be disabled, activated periodically (that is, activated every n seconds), or activated by a trigger event.

  • Exposure Signal Info: Sets the electrical format and polarity of the exposure signal.

  • Trigger Info:

  • Format: Sets whether to enable the TTL or RS-422/LVDS drivers for exposure signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox imaging board.

  • Signal: Specifies the signal that starts the exposure timer.

  • External signal: Specifies that an external signal activates the exposure timer. This corresponds to the trigger arriving on the hardware port.

  • HSync: Specifies that the camera's horizontal synchronization signal activates the exposure timer.

  • VSync: Specifies that the camera's vertical synchronization signal activates the exposure timer.

  • Software: Specifies that the software activates the exposure timer. This corresponds to a specific function call.

  • Hardware: Specifies that external hardware activates the exposure timer. This value also specifies the port on which the signal arrives.

  • Polarity: Sets the trigger activation mode for specified timer.

  • Pulse 1 / Pulse 2 (sec | clk): Specifies the active and inactive time.

  • Active: Specifies the active time for a periodic timer or the pulse width for a triggered timer, in sec. This setting corresponds to the length of the exposure signal. Note that this field displays the Active Time or Pulse Width depending on the Generation Mode setting.

  • Inactive: Specifies the inactive time for a periodic timer or the delay for a triggered timer, in sec. This value corresponds to the delay between the trigger event and the start of the exposure signal. Note that whether this field displays Inactive Time or Delay depends what is selected in the Generation Mode drop down list box.

  • Exposure clock: Specifies the resolution of the timer. This choice is based on the exposure length required by the camera.

  • Type: Specifies the clock source that drives the exposure counter for the specified timer.

  • Synchronous to pixel clock: Uses the pixel clock frequency of your camera.

  • Asynchronous to pixel clock: Uses the Matrox imaging board's clock source frequency.

  • Division factor: Divides the base clock frequency by the specified factor. Used when the timer is activated at a rate slower than the clock frequency. This field determines the output frequency.


Timer 1 advanced/Timer 2 advanced sub-tab

Availability

Matrox Solios
Matrox Odyssey
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Exposure signal tab.

  • File Open command, open a DCF. Choose the Exposure signal tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Exposure signal tab.

  • Open button, open a DCF. Choose the Exposure signal tab.

Specifies the advanced exposure timer options of Timer 1 and Timer 2. Timer1 advanced/Timer2 advanced are two separate sub-tabs that describe two separate exposure timers. They are described below together because they are identical.

Timer1 advanced/Timer2 advanced sub-tab options

  • Options: Sets advanced options.

  • Timer output signal: Specifies whether the exposure timers should be implemented alone or combined.

  • Capture a trigger every: Specifies whether the trigger should be captured every time it goes off or a fraction of time it goes off. For example, if you specify 2, then the trigger event will be recognized every second time it goes off.

  • Trigger Arm: Specifies information regarding the arming of a trigger.

  • Mode: Enables or disables the trigger. When the trigger is disabled, a trigger event will interrupt the exposure signal. When the trigger is enabled, the trigger event waits until the exposure signal has finished before it re-arms.

  • Format: Sets whether to enable the TTL, OPTO, or LVDS transmitters/receivers for triggers, on systems whose receivers are enabled through software and where the option of TTL, OPTO, and LVDS are possible.

  • Source: Specifies the re-arming of a grab trigger. Once a trigger event occurs the trigger needs to be re-armed, this field specifies whether the trigger is re-armed as a hardware, a software, or a timer trigger.

  • Polarity: Sets the polarity of the active portion of the exposure signal.


Grab mode tab

Availability

Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies grab and trigger signal characteristics.

Grab mode tab options

  • Grab characteristics: Specifies the trigger mode, the activation mode, and the line scan mode of the grab.

  • Mode: Sets the grab trigger mode. The mode can be set to continuous, software trigger, or hardware trigger. In either of the trigger modes grabbing using the Digitizer Single Grab or Digitizer Continuous Grab command will only result in a grab once the trigger event occurs. Software triggers can be generated using the Digitizer Controller dialog box.

  • Activation mode: Specifies when the trigger should be activated. This setting is only available when the Mode field is set to software or hardware trigger.

  • Next Valid Frame (or Field): Starts the grab on the next valid frame or field.

  • Asynchronous Reset: Resets the camera to start exposing a new frame when the trigger signal is received.

  • Asynchronous Reset Delayed 1 Frame: Resets the camera to start exposing a new frame one frame after the trigger signal is received. Use this setting if the camera requires the duration of one frame (after restarting the frame) to generate valid data. This mode is usually used when the digitizer is in master mode. When in master mode the digitizer generates the horizontal and/or vertical synchronization signals and supplies them to the camera.

  • Line scan mode: Specifies the line scan mode when a line scan camera is selected in the Camera sub-tab.

  • Trigger Signal Characteristics: Specifies the characteristics of the input and/or output trigger source.

  • Format: Specifies the electrical format of the trigger's signals.

  • Signal: Specifies the connector/signal with which the trigger signal is associated.

  • Polarity: Specifies the polarity of the pixel clock signal. Pos. Edge Trig specifies a trigger with a rising edge and Neg. Edge Trig specifies a trigger with a falling edge.

Related topics: Camera sub-tab, Digitizer Single Grab, Digitizer Continuous, and Digitizer Control


Sync. signal tab

Availability

Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the synchronization signals.

Sync. signal tab options

  • Source specification: Sets the synchronization signals source specifications.

  • Source: Specifies where the synchronization signal is initiated.

  • Format: Specifies whether an analog or digital source generates the synchronization signal(s).

  • Camera output/input signal latency: Specifies the delay, in pclk cycles, from the moment the camera receives the synchronization signal to the moment the camera should generate valid data (this interval includes blanking).

  • Synchronization signal available: Specifies the available synchronization signals.

  • Block synchronization type enable: Specifies whether you are using bloc synchronization signals. This setting is only available when using analog systems.

  • External VSYNC signal is enabled (from external circuit, not camera): Specifies whether the vertical synchronization signal is generated by an external circuit.

  • Analog signal characteristics: Specifies analog synchronization signals.

  • Sync & video signal type: Specifies the synchronization signal type when an analog camera is generating the synchronization signal(s).

  • Sync signal input channel: Specifies the acquisition path that carries the synchronization signal. If you are grabbing a composite color, RGB color, or RGB alpha signal, you can set the synchronization signal input channel to 0, 1, 2, or 3. Note that the synchronization signal must be composite. If you are grabbing a monochrome signal, specify the input channel using the Video Signal tab. This input channel also carries the synchronization signal(s).

Related topics: Video Signal tab


Digital synchro tab

Availability

Matrox Solios
Matrox Orion
Matrox Odyssey
Matrox Morphis
Matrox Meteor-II
Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Helios
Matrox Genesis
Matrox CronosPlus
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies synchronization signals generated by or provided to the digitizer in digital form. The available options depend on the settings in the Sync. Signal tab. This information is relative to the digitizer; select Input Active if the camera generates the synchronization signal(s) or Output Active if the digitizer generates the synchronization signal(s).

Digital synchro tab options

  • HSync: Specifies horizontal synchronization information.

  • Input Active: Specifies whether the camera provides horizontal synchronization information to the digitizer. If this option is selected, you must specify the electrical format and polarity of the signal.

  • Output Active: Specifies whether the digitizer generates horizontal synchronization information. If this option is selected, you must specify the electrical format and polarity of the signal.

  • VSync: Specifies information concerning vertical synchronization.

  • Input Active: Specifies whether the camera provides vertical synchronization information to the digitizer. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Output Active: Specifies whether the digitizer generates the vertical synchronization information. If this option is selected, you must specify the electrical format and polarity of this signal.

  • CSync: Specifies information concerning composite synchronization.

  • Input Active: Specifies whether the camera provides a composite synchronization signal to the digitizer. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Output Active: Specifies whether the digitizer generates the composite synchronization information. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Serration Pulse: Specifies whether serration pulses are used. Serration pulses are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the beginning of the field/frame. These small pulses might occur in the composite synchronization (csync) signal, depending on the type of camera used.

  • Equalization Pulse: Specifies whether equalization pulses are used. Equalization pulses, like serration pulses, are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the end of the field, and following the serration pulse. These small pulses might occur in a composite synchronization (csync) signal, depending on the type of camera used.

Related topics: Sync. Signal tab


Advanced tab

Availability

Matrox Orion
Matrox Meteor-II /Multi Channel
Matrox Meteor-II /Standard
Matrox Corona-II

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

This tab sets digitizer advanced options. Available options on the Advanced tab depend on the system selected.

Advanced tab options

  • Options specific to Matrox Orion.

  • Options specific to Matrox Corona-II, Meteor-II (/Standard, /Multi-Channel).


Advanced tab options specific to Matrox Orion

Availability

Matrox Orion

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies advanced options specific to Matrox Orion.

Advanced tab options specific to Matrox Orion

  • Grab path: Specifies whether to grab using the RGB grab path.


Advanced options specific to Matrox Corona-II and Meteor-II (/Multi-Channel, /Standard)

Matrox Intellicam Help

Advanced options specific to Matrox Corona-II and Meteor-II (/Multi-Channel and /Standard)

Availability

Matrox Corona-II
Matrox Meteor-II /Muti Channel
Matrox Meteor-II /Standard

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies advanced options for the Matrox Corona-II and Meteor boards.

Advanced tab options specific to Matrox Corona-II and Meteor-II (/Multi-Channel, /Standard)

  • Output Timer: Specifies whether to send a timer output to an external device.


Other tab

Availability

Matrox Solios
Matrox Odyssey
Matrox Meteor-II /Camera Link
Matrox Helios

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies advanced digitizer options. The options available depend on the system selected.

Other tab options

  • Camera Link Control Bits sub-tab: Specifies what is transmitted on each bit of the camera link control signals.

  • Advanced sub-tab: Specifies the test mode and the slow scan mode.

  • Bits tab/sub-tab: Specifies the user-defined input and output signal as well as the camera control bits.


Camera link control bits sub-tab

Availability

Matrox Solios
Matrox Odyssey XCL
Matrox Meteor-II /Camera Link
Matrox Helios XCL

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Other tab.

  • File Open command, open a DCF. Choose the Other tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Other tab.

  • Open button, open a DCF. Choose the Other tab.

Specifies what is transmitted on each bit of the camera link control.

Camera link control bits sub-tab options

  • Camera Control Bits Sources: Routes a specific signal to camera control output n, where n is the number of the camera control output (1, 2, 3, or 4). The signal can carry timer information, clock information, user information or synchronization information.

  • Signal Output: Enables the specified camera link signal to connector 1 or connector 2.


Other Advanced sub-tab

Availability

Matrox Solios XA
Matrox Solios XCL
Matrox Odyssey
Matrox Helios

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Other tab.

  • File Open command, open a DCF. Choose the Other tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Other tab.

  • Open button, open a DCF. Choose the Other tab.

Specifies miscellaneous advanced digitizer options.

Other Advanced sub-tab options

  • Test mode: Enables the test mode, the generation of line numbers and sets the pixel mode. The test mode generates internal image patterns so that your Matrox Imaging Board can be tested when there is no camera is connected to the system.

  • Slow scan: Enable this option when the camera's input frequency is slower than the minimum frequency required by the system selected.


Bits tab/sub-tab

Availability

Matrox Meteor-II /Digital
Matrox Meteor-II /Camera Link
Matrox Genesis

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the user-defined input and output signal as well as the camera control bits.

Bits tab/sub-tab options

  • Input Bits: Sets whether to enable the TTL or RS-422/LVDS receivers for trigger signals and user-defined input signals, on systems whose receivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible.

  • Output bits: Sets whether to enable the TTL or RS-422/LVDS drivers for exposure signals and user-defined output signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible.

  • Camera Control Bits: Routes a specific signal to camera control output n, where n is the number of the camera control output (1, 2, 3, or 4).


Close

Availability
All Boards

Menu

File Close

Shortcut

  • Windows X button.

  • CTRL+F4.

  • Context Menu.

Closes the active window. If you try to close a modified window without saving its contents, Matrox Intellicam asks whether you wish to save it. If you choose to save a new object, the File Save As dialog box is presented.

Related Topics: File Save, File Save as, and Window Close All.


Save

Availability
All Boards

Menu

Save <filename>

Shortcut

  • Toolbar Save button.

  • CTRL+S.

Saves the active document to its current state, using its existing file name, folder, and drive. If you are saving the document for the first time, you are presented with the File Save As dialog box.

Related topics: File Save as


Save as

Availability
All Boards

Menu

File Save As

Saves the contents of the current image document or DCF file under the selected file name, folder, and drive. To save a document using its existing file name, folder, and drive, use the File Save command.

File Save As dialog box options

  • Save in: Selects the folder in which to save the document. To see how the current folder fits your computer's hierarchy, click the down arrow. To see what is inside a folder, click on it. To open the folder one level higher, click on the Up One Level button.

The list box shows the folders and files at the selected location. Click on the List button to obtain a simple list of the files and folders. To obtain a more detailed list, click on the Details button.

You can double click on a folder in the list box to see what is inside of it. If you double click on a file, it will appear in the File Name field, a dialog box will open asking if you would like to replace the existing document with the new file.

To create a new folder, click on the Create New Folder button. A place holder is added to the list box. Type the required folder name over the place holder. Then, double click on the folder to add it to your computer's hierarchy.

  • File Name: Specifies the name of the file in which to save the document.

  • Save as type: Selects the format in which to save the document.

Related topics: File Save


Print

Availability
All Boards

Menu

File Print

Shortcut

  • CTRL+P.

  • Toolbar Print.

Prints the current document.

Print dialog box options

  • Printer: Displays the active printer and printer connection.

  • Properties: Opens the Properties dialog box, where you can choose additional options specific to the type of printer selected.

  • Print Range: Specifies the pages to print.

  • All: Prints the entire document.

  • Pages: Prints only the range of pages that you specify in the From and To edit fields.

  • Selection: Not available in Matrox Intellicam.

  • Copies: Specifies the number of copies of the specified pages to print.

  • Collate: Prints copies in page number order, instead of separate multiple copies of each page. Note that the illustration below this field shows how pages will be printed.

Related topics: File Print Preview and File Print Setup


Print preview

Availability
All Boards

Menu

File Print Preview

Displays, in a print preview window, the current document as it would appear when printed. The print preview window toolbar offers options that allow you to view either one or two pages at a time, move back and forth through the document, zoom in and out of pages, and initiate a print job.

Print Preview toolbar

1 | Print: | Opens the Print dialog box in order to start a print job.
2 | Next Page: | This option is not available in Matrox Intellicam.
3 | Prev Page: | This options is not available in Matrox Intellicam.
4 | One Page/Two Page: | This options is not available in Matrox Intellicam.
5 | Zoom In: | Enlarges the view of the page.
6 | Zoom Out: | Reduces the view of the page.
7 | Close: | Returns from print preview to the main workspace.

Related topics: File Print Setup and File Print


Print setup

Availability
All Boards

Menu

File Print Setup

Specifies a printer and a printer connection to use for printing.

Print setup dialog box options

  • Printer Name: Allows you to select one of the currently installed printers necessary for printing. You install printers and configure ports using the Windows Control Panel.

  • Properties: Opens the Properties dialog box to choose additional options specific to the type of printer selected.

  • Size: Selects the size of paper on which to print the document.

  • Source: Selects, if your printer has multiple trays, the tray with which to print the document.

  • Orientation: Selects the orientation of the printed page to be portrait or landscape.

Related topics: File Print preview and File Print


Recent files

Availability
All Boards

Menu

File <filename>

Displays a list of the most recently used or opened document files. To quickly open one, click on its name or select its corresponding number.


Exit

Availability
All Boards

Menu

File Exit

Shortcut

  • ALT+F4.

  • Windows X button.

Quits Matrox Intellicam. You will be prompted to save new or modified documents or DCFs.

Related topics: File Close, File Save, and File Save as.


Undo

Availability
All Boards
Menu | Edit Undo
Shortcut | CTRL+Z

Undoes the last step performed on the image and restores it to its prior state, when an image window is active. This option is only available when working with imported images. Enable this option from the Image Preferences category of the Preferences dialog box, accessible from the Options Preferences command.

Related topics: Image Preferences


Cut

Availability
All Boards
Menu | Edit Cut
Shortcut | CTRL+X

Cuts the selected area of the image to the clipboard, when an image window is active. Once the image is cut to the clipboard, you can paste it into other images or applications.

Related topics: Edit Paste


Copy

Availability
All Boards
Menu | Edit Copy
Shortcut | CTRL+C

Copies the contents of the current image window to the clipboard. Once the data is copied to the clipboard, you can paste it into a new Matrox Intellicam window using the Edit Paste command. You can also paste it into other applications.

Related topics: Edit Paste


Paste

Availability
All Boards
Menu | Edit Paste
Shortcut | CTRL+V

Copies the contents of the clipboard to a Matrox Intellicam image window. This command is not available if the clipboard is empty or does not contain image information.

Related topics: Edit Copy


As Editor

Availability
All Boards
Menu | View As Editor
Shortcut | CTRL+1

Displays a DCF in a dialog box with multiple tabs. Each tab corresponds to a particular group of DCF settings that can be set from within the tab. This is the most user-friendly method of working with a DCF. Note that this menu is only available if a DCF is active. This is the only view from which you can modify a DCF.

Related topics: As report, As Text, DCF dialog box, Overview tab, Camera tab, Video signal tab, Video timing tab, Pixel clock tab, Exposure signal tab, Grab mode tab, Sync. signal tab, Digital synchro tab, Advanced tab, Other tab, and Bits tab/sub-tab.


As Image

Availability
All Boards
Menu | View As Image
Shortcut | CTRL+4

Displays the current image document using a normal image view (as a picture). Note that this menu item is only available when an image document is active.

Related topics: As Pixels.


As Report

Availability
All Boards
Menu | View As Report
Shortcut | CTRL+2

Displays the DCF in a tabular form. Note that this menu is only available if a DCF is active.

View As report list

  • Tab: Specifies the tab from which you can access the DCF setting, when viewing the DCF in the As Editor view.

  • Name: Specifies the name of each setting in the DCF.

  • Value: Specifies the value of each setting.

Related topics: As Editor and As Text.


As Pixels

Availability
All Boards
Menu | View As Pixel
Shortcut | CTRL+5

Displays the gray or color values of each pixel in the active image document. If you are grabbing continuously, the As Pixels view is updated to reflect the current frame. Note that this menu item is only available if an image document is active.

Related topics: As Image.


As Text

Availability
All Boards
Menu | View As Text
Shortcut | CTRL+3

Displays the active DCF file as a text file. This view displays the name of each setting in the DCF and its value. It is used mainly for examining the low-level settings of your DCF. You will need to know the values of the low-level settings of your DCF if you are going to speak to a Matrox technical support representative to help you modify the DCF to interface with your camera. Note that this menu item is available only if a DCF is active.

Related topics: As Editor and As Text.


Main Toolbar

Availability
All Boards

Menu

View Toolbar

Displays or hides the toolbar (button bar). A check mark appears next to the toolbar menu item when the toolbar is displayed. When you exit Matrox Intellicam, the toolbar setting and position is saved for your next session.

The toolbar includes buttons for some of the most commonly used commands.

Related topic: Toolbar


Status Bar

Availability
All Boards

Menu

View Status Bar

Displays or hides the main application workspace status bar. A check mark appears next to the status bar menu item when the status bar is displayed. When you exit Matrox Intellicam, the status bar setting is saved for your next session.

Related topics: Status bar


Child Area

Availability
All Boards

Menu

Image Child Area

Displays or hides the border of the child area. The child area can be set using the Image Child Area dialog box or by double clicking on an image and dragging the mouse. You can change the color of the border using the Child Area category in the Image tab of the Preferences dialog box, accessible using the Options Preferences command.

Related topics: Image Child Area and Child Area Category.


Validate DCF

Availability
All Boards

Menu

DCF Validate DCF

Shortcut

  • Toolbar Validate DCF button.

  • Context Menu.

Forces the validation of the settings in the active DCF. This is usually done automatically when required. Note that you can also enable continuous validation of the DCF using the DCF editor tab of the Preferences dialog box, accessible using the Options Preferences command.

Related topics: DCF editor tab.


Compute Registers

Availability
All Boards

Menu

DCF Compute Registers

Shortcut

  • CTRL+R

  • Context Menu

Calculates the appropriate values of the hardware registers for the selected digitizer, using the active DCF settings. Note that if your DCF was originally created for a digitizer other than the active digitizer, selecting this option will change the register values of the hardware registers so that they are appropriate for the active digitizer.


Show error report

Availability
All Boards

Menu

DCF Show Error Report

Shortcut

  • CTRL+E.

  • Context Menu.

Displays the Error Report window. This window lists outstanding DCF errors and the required corrections. You can choose to automatically display the Error Report window when there are errors in the DCF, using the DCF Editor tab, located in the Options Preferences dialog box.

Related topics: Options Preferences DCF Editor tab.


Show auto-correct report

Availability
All Boards

Menu

DCF Show Auto-Correct Report

Shortcut

  • CTRL+A.

  • Context Menu.

Displays the Auto-Correct Report window. For automatically modified settings, this window displays the name of the tab (in the DCF) in which a setting was modified, the setting name, the old value of the setting, the new value of the setting, and the reason for the change. Settings are automatically modified when the auto-correction field is enabled. Enable the auto-correction setting DCF Editor tab of the Preferences dialog box, accessible using the Options Preferences command.

When the auto-correction field is enabled, Matrox Intellicam tries to fix errors automatically by modifying incorrect values or by adjusting other values. Auto-correction is also useful when importing a DCF. When you open a DCF that was created for a system other than the active one, auto-correction ensures that all DCF setting are valid. If some are invalid, Matrox Intellicam will change or discard them, and a pop-up window will display the changes made to the DCF.

Note that when using auto-correction, always verify the automatically selected values to make sure that they match the specifications of your target camera.

Related topics: Options Preferences DCF Editor tab


Child area

Availability
All Boards

Menu

View Child Area

Allows you to define a child area in the current image. A child area allows you to limit grabbing to a specific region within the target image. Note that you can define one child area per image.

Child Area dialog box options

  • Image Definition: Displays information about the current image, such as the size, number of bands, pixel depth, image type, and image attribute(s). Note that this information was specified when the image was created using the File New command. The system with which the image is associated is also defined.

  • Child Area Specification: Specifies the child the area. Assign values using the arrow keys or type them directly into the edit fields.

  • Full size of image: Specifies the child area as the area of the full image.

  • Start X: Specifies the horizontal offset of the child area, relative to the parent's top-left pixel. The offset must be within the width of the parent image.

  • Start Y: Specifies the vertical offset of the child area, relative to the parent's top-left pixel. The offset must be within the height of the parent image.

  • Width: Specifies the width of the child area.

  • Height: Specifies the height of the child area.

  • Mouse Control: Displays information specifying how to create, move, and resize a child area using the mouse. Note that you must close the Child Area dialog box before creating, moving or resizing a child area.

To resize a child area after closing the Image Child Area dialog box, place your cursor over one of the border's handles. The cursor changes into a double-headed arrow. Then, drag the cursor in the required direction. Release the mouse when you are satisfied with the new size. Note that placing your cursor over one of the corner handles allows you to modify the child area's horizontal and vertical dimensions simultaneously.

To move a child area after closing the Image Image Child Area dialog box, place your cursor over the child area's border. The cursor changes to a four-headed arrow. Then, drag the cursor to the required position.


Import

Availability
All Boards

Menu

Image Import

Shortcut

  • CTRL+I.

  • Context Menu.

Allows you to import an existing image into the current image. The imported image is placed at the upper-left corner of the current image and takes on all characteristics (such as size, number of bands, pixel depth, image type, and image attribute(s)) of the current image.

Import Image file dialog box

  • Look in: Specifies the drive and folder in which the required image is located. Double click on the image file name from the Look in list box. Alternatively, type it directly into the File name area, and then click on the Open button.

  • File name: Sets the required file name and extension. If you are looking for a file with a specific file extension and you do not know the name of the file, set this field to an asterisk followed by the appropriate extension (for example, *.mim), and then press Enter.

  • Files of type: Sets the extension(s) of the file(s) to list. All files in the current folder, with the specified extension, are listed.

  • Display mode of image files: Sets the display mode of the image.

Related topics: File Open


Reload

Availability
All Boards

Menu

Image Reload

Reloads the image that was originally loaded from disk into the active image window, restoring the loaded image to its last saved state. Note that this option is available only for image windows in which an image was imported; it is not for unsaved created images.

Related topics: Image Import


Clear

Availability
All Boards
Menu | Image Clear
Shortcut | Toolbar Clear button.

Clears the current image to the specified color.

Clear menu options

  • Clear Black: Clears the current image replacing it with a black image.

  • Clear White: Clears the current image replacing it with a white image.

  • Clear Gray: Clears the current image replacing it with a gray image.


Single Grab

Availability
All Boards

Menu

Digitizer Single Grab

Shortcut

  • Toolbar Single Grab button.

  • CTRL+M.

Grabs a single image (snapshot), using the active DCF, into the current image window.

If a DCF is not open when you call the Single Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a pre-defined DCF with which to grab the image.

If an image document is not open when you call the Single Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be grabbed into this new image document.

When you grab into an existing image document, its current contents are overwritten by the grabbed data.

Related topics: New Digitizer Configuration dialog box and Digitizer Configuration Format tab


Single Safe Grab

Availability
All Boards

Menu

Digitizer Single Safe Grab

Shortcut

  • Toolbar Single Safe Grab drop down button.

  • CTRL+J.

Grabs a single image (snapshot) into an internal image buffer, using the active DCF, and then copies the image into the current image window. Note that the Single Safe Grab is useful when you are designing a new DCF and experiencing difficulties grabbing an image. For instance, if your DCF contains a timing error, selecting the Single Grab command might result in an error message. However, the Single Safe Grab command will display the image even if it is distorted. By analyzing the distortions, you can get a better idea of your DCF errors.

If a DCF is not open when you call the Single Safe Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to grab the image.

If an image document is not open when you call the Single Safe Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be displayed in the new image document.

When you grab into an existing image document, its current contents are overwritten by the grabbed data.

Related topics: Digitizer Configuration dialog box and Digitizer Configuration Format tab


Single Bayer Grab

Availability
All Boards

Menu

Digitizer Single Bayer Grab

Shortcut

  • Toolbar Single Safe Grab button drop down button.

  • CTRL+ B.

Grabs a single image (snapshot), using the active DCF. The Single Bayer Grab command grabs an image into an internal buffer, the Host applies Bayer conversion, then copies the image into the display. To set your camera's Bayer pattern, select the Digitizer Bayer settings command or click on the Bayer button from the application toolbar. If your camera does not have a Bayer color filter and you select the Single Bayer Grab command, the resulting image will contain incorrect pixel values.

If a DCF is not open when you call the Single Bayer Grab command, the New Digitizer Configuration dialog box opens with the Digitizer Configuration Format tab active. Within this tab, you can open a DCF to grab an image.

If an image document is not open when you call the Single Bayer Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be displayed in the new image document. When you grab into an existing image document, its current contents are overwritten by the grabbed data.

The Single Bayer Grab command implements Bayer conversion by the Host. Matrox Helios XCL, Odyssey XCL, and Odyssey XD implement Bayer conversion on the Matrox imaging board. Note that it is recommended to use the Single Grab or Single Safe Grab commands when performing Bayer conversion using Matrox Helios XCL, Odyssey XCL, or Odyssey XD. Using the Single Bayer Grab can result in incorrect pixel information. See the To perform Bayer conversion and white balancing topic for more information on applying Bayer conversion using the imaging board.

Related topics: To perform Bayer conversion and white balancing, Camera sub-tab, New Digitizer Configuration dialog box, Digitizer Control Bayer tab, Configure Bayer Settings, and Digitizer Configuration Format tab.


Continuous Grab

Availability
All Boards

Menu

Digitizer Continuous Grab

Shortcut

  • Toolbar Continuous Grab button.

  • CTRL+G.

Starts a live (continuous) grab, using the active DCF, then displays it in the current image window. Note that you can experiment interactively with the various dynamic controls of your digitizer, during a continuous grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to perform the live grab.

If an image document is not open when you call the Continuous Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The live grab will be displayed in the new image document.

When you grab into an existing image document, its current contents are overwritten by the continuous grab.

During a continuous grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor the speed of your grab.

To halt a grab, click on the Halt Grab button.

Related topics: Digitizer Halt Grab, Digitizer Configuration Format tab, Status Bar and DCF dialog box.


Continuous Safe Grab

Availability

Menu

Digitizer Continuous Safe Grab

Shortcut

  • Toolbar Continuous Safe Grab drop down button.

  • CTRL+K.

Starts a live (continuous) grab into an internal image buffer, using the active DCF., then copies into the current image window. Note that the Continuous Safe Grab is useful when you are designing a new DCF and experiencing difficulties grabbing an image. For instance, if your DCF contains a timing error, selecting the Continuous Grab command might result in an error message. However, the Continuous Safe Grab command will display the images even if they are distorted. By analyzing the distortions, you can get a better idea of where your DCF errors lie.

You can experiment interactively with the various dynamic controls of your digitizer during a continuous safe grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Safe Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to perform the safe grab.

If an image document is not open when you call the Continuous Safe Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The safe grab will be performed into this new image document.

When you grab into an existing image document, its current contents are overwritten by the continuous grab. If you do not want to replace the current image, create a new image that has the current digitizer sizes, make sure it is active, and then call the Continuous Safe Grab command. The safe grab will be performed into the new image document, leaving all other images untouched.

During a Continuous Safe Grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor the speed your grab.

To halt a grab, click on the Halt Grab button.

Related topics: Halt Grab, Status bar, Digitizer Controller, and DCF dialog box.


Continuous Bayer Grab

Availability
All Boards

Menu

Digitizer Continuous Bayer Grab

Shortcut

  • Toolbar Continuous Safe Grab button.

  • CTRL+L.

Starts a live (continuous) grab into an internal buffer, using the active DCF. The Bayer grab command grabs an image into an internal buffer, the Host applies Bayer conversion, then copies the image into the display. To your camera's Bayer pattern, select the Digitizer Bayer settings command or click on the Bayer button from the application toolbar. If your camera does not have a Bayer color filter and you select the Continuous Bayer grab command, the resulting image will contain incorrect pixel values.

Note that you can experiment interactively with the various dynamic controls of your digitizer during a Continuous Bayer Grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Bayer Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. Within this tab, you can open a DCF to perform the Bayer grab.

If an image document is not open when you call the Continuous Bayer Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The Bayer grab will be displayed in the new image document. When you grab into an existing image document, its current contents are overwritten by the Continuous Bayer Grab. If you do not want to replace the current image, create a new image that has the current digitizer sizes, make sure it is active, and then call the Continuous Bayer Grab command.

During a Continuous Bayer Grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor your grab.

To halt a grab, click on the Halt Grab button.

The Continuous Bayer grab commands implements Bayer conversion by the Host. Matrox Helios XCL, Odyssey XCL, or Odyssey XD implement Bayer conversion on the Matrox imaging board. Note that it is recommended to use the Continuous Grab or Continuous Safe Grab commands when performing Bayer conversion using Matrox Helios XCL, Odyssey XCL, or Odyssey XD. Using the Continuous Bayer Grab can result in incorrect pixel information. See the To perform Bayer conversion and white balancing topic for more information on applying Bayer conversion using the imaging board.

Related topics: To perform Bayer conversion and white balancing, Halt Grab, Camera sub-tab, Digitizer Control Bayer tab, Digitizer Controller, Digitizer Configuration Format tab, Status bar, DCF dialog box, and Configure Bayer Settings.


Halt Grab

Availability
All Boards
Menu | Digitizer Halt Grab
Shortcut | Toolbar Halt Grab button.

Stops a continuous grab initiated by the Continuous Grab, the Continuous Safe Grab, or the Continuous Bayer Grab command. The last frame grabbed remains displayed in the image window.

Related topics: Continuous Grab, Continuous Safe Grab, and Continuous Bayer Grab.


Bayer Settings

Availability
All Boards
Menu | Digitizer Configure Bayer Settings
Shortcut | Toolbar Bayer button.

Specifies the Bayer settings when Bayer conversion is implemented by the Host. In order to perform a Bayer grab by the Host select the Single Bayer Grab or Continuous Bayer Grab command after specifying the Bayer settings. Consult the camera's documentation or contact the manufacturer if you are unsure of your camera's Bayer settings; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one.

See the To perform Bayer conversion and white balancing topic for more information on performing Bayer conversion by the Matrox imaging board.

Configure Bayer Settings dialog box options

  • Bayer Pattern: Specifies the Bayer pattern to use in the Bayer conversion. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unknown, try all of the patterns in order to find the correct one.

  • White Balance: Specifies the white balance coefficients implemented using Bayer conversion. You can use the default values for the red, green, and blue coefficients or you can enter custom coefficients. If you are unsure of which custom coefficients are best for your camera, click the Calculate button. This button will calculate custom coefficients, compatible with your camera, using the reference grey image. For more information on grabbing a gray image, see the To perform Bayer conversion and white balancing topic.

Related topics: To perform Bayer conversion and white balancing, Single Bayer grab and Continuous Bayer grab.


Control

Availability
All Boards

Menu

Digitizer Control

Shortcut

  • CTRL+D.

  • Toolbar Digitizer Control button.

Allows you to experiment interactively with the various dynamic controls of your digitizer. You can modify these controls during a continuous (live) grab, giving you immediate visual feedback on the effects of their corresponding settings.

The digitizer controls are applied "on top of" the initial state of the DCF, taking precedence over the initial state of the DCF. Note, however, that you cannot save the settings that you change in the Digitizer Controller dialog box since these are dynamic controls applied "on top of" the initial DCF state. Your changes will still be in effect when you close the Digitizer Controller dialog box or when you halt the grab and then restart it. However, once you close and reload the DCF, the initial DCF settings will be active, and all the digitizer control settings will be reset to their default values.

Each control in the Digitizer Controller dialog box corresponds to a digitizer setting accessible through a MIL digitizer function (MdigControl(), MdigChannel(), and MdigReference()). As such, you can find the required value for each setting, and see its effect before you write your application.

The contents of the Digitizer Controller dialog box depends on your system. Some tabs/options appear only when a particular system is active.

Digitizer Controller sub-tabs

  • Bayer tab: Specifies whether Bayer conversion and white balancing are implemented by the Matrox imaging board during a grab.

  • Channel switching modes tab: Specifies whether the camera is locked during channel-switching and whether a color-lock check is done before starting a grab.

  • Camera link tab: Adds he specified camera link signal to the specified user bit group(s) and sets the camera control output(s).

  • Channel tab: Specifies the data channel used during the grab.

  • Channel extended tab: Specifies the active input data or synchronization channel for the specified digitizer.

  • DCAM lens tab: Specifies DCAM lens settings.

  • DCAM misc tab: Specifies miscellaneous DCAM settings.

  • DCAM picture tab: Specifies Picture DCAM settings.

  • Exposure 1/Exposure 2 tab: Specifies the exposure signal options.

  • Grab Atribute 1 tab: Specifies grab attributes.

  • Grab Attribute 2 tab: Specifies grab attributes.

  • Grab Input Gain tab: Specifies the gain level setting with which to amplify the input signal.

  • Grab Region tab: Specifies the region from which to grab.

  • Grab Scale tab: Specifies the scaling factors.

  • Input Filter tab: Specifies information regarding the input filter.

  • References tab: Specifies the reference levels used to digitize the input analog signal.

  • Signal Format tab: Specifies whether to enable the TTL or RS-422/LVDS drivers for exposure signals and user-defined input/output.

  • System User-Defined Signals tab: Specifies the user-defined signals that are controlled at a system level (MsysControl() and MsysInquire()).

  • Trigger tab: Specifies the detection state, the mode, and source of the grab trigger.

  • User-Defined Signals tab: Specifies the user-defined signal at the digitizer level.


Bayer tab

Availability
Matrox Helios XCL
Matrox Odyssey XCL
Matrox Odyssey XD
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies that Bayer conversion and white balance correction is implemented by the frame grabbers during a grab. In this case, Bayer conversion is implemented directly on the board and applied using the Single Grab, Single Safe Grab, Continuous Grab, and Continuous Safe Grab commands. Bayer conversion can be used to provide a cost-effective method for grabbing color images: the camera grabs a single-band color-encoded image, and Bayer conversion transforms it into a multi-band color image. White balance correction adjusts an image for color variations that were introduced by the lighting conditions when the image was grabbed; pixels that represent white are converted so they appear as close to white as possible, and other pixels are adjusted accordingly.

Bayer conversion can only be implemented when grabbing from a camera with a Bayer color filter. You must specify your camera's Bayer pattern in the DCF Camera sub-tab. Consult the camera's documentation or contact the manufacturer if you are unsure of the Bayer pattern; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one. If your camera does not have a Bayer color filter and you enable Bayer conversion, incorrect pixel information will result.

See the To perform Bayer conversion and white balancing topic for more information on applying Bayer conversion by the Host.

Bayer tab options

  • Conversion: Sets whether to perform a Bayer color conversion.

  • White Balance: Sets whether to perform white balance correction. Specify the white balance values in the Coefficients field. Note that to perform white balance correction, the Conversion option must be enabled.

  • Coefficients: Specifies the three white balance correction coefficients. Note that this setting only has an effect if the White Balance option is enabled.

Related topics: To perform Bayer conversion and white balancing, DCF Camera sub-tab, Single Bayer grab, and Continuous Bayer grab.


Channel Switching modes tab

Availability
Matrox Matrox Corona-II
Matrox CronosPlus
Matrox Helios XCL
Matrox Meteor-II /Multi-Channel
Matrox Meteor-II /Standard
Matrox Morhis
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies whether the camera is locked during channel-switching and whether a color-lock check is done before starting a grab.

Channel Switching Modes tab options

  • Color lock: Sets whether a color-lock check is done before starting each grab. A color-lock check is only done if the Lock control is enabled. Note that this only applies when the digitizer uses a composite or Y/C color DCF.

  • Lock: Sets whether the camera is locked during channel-switching. Locking the camera during channel-switching is useful when the digitizer might not be synchronized with the source. When performing a channel-switch, the hardware needs to be unlocked from the current camera and locked to the new camera. If the hardware is not locked properly, it can affect the speed and reliability of the next unlock. Corrupt images or a synchronization-lost error can occur if the digitizer is not locked.


Camera Link tab

Availability
Matrox Helios XCL
Matrox Meteor-II /Camera Link
Matrox Odyssey XCL
Matrox Solios XCL
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Adds the specified Camera Link signal to the specified user bit group(s) and sets the camera control output(s).

Camera Link tab options

  • Control output: Routes a specific signal to camera control output n, where n is the number of the camera control output (1, 2, 3, or 4). This control can be set to use the horizontal, vertical, or pixel clock synchronization frequency of the camera.

  • User Bit Group: Adds the specified Camera Link signal to the specified group, so that setting one of the user-defined signal in this group will set all user-defined signals in this group.


Channel tab

Availability
Matrox CronosPlus
Matrox Helios XCL
Matrox Meteor-II /1394
Matrox Meteor-II /Digital
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Odyssey XCL
Matrox Odyssey XD
Matrox Solios XCL
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the input data channel used during the grab. When choosing the data channel, the default synchronization channel will be used. This value is specified using the Sync. Signal tab in the DCF dialog box.

Channel tab options

  • Channel: Specifies the channel on which the digitizer is to acquire input data. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel using this tab or using the Video Signal tab. If the digitizer does not have the specified channel, an error is generated and the last selected channel remains effective. The default channel corresponds to the default channel for the active digitizer's DCF.

Related topics: Video Signal tab.


Channel Extended tab

Availability
Matrox Corona-II
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II /Multi-Channel
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the active input data or synchronization channel for the active digitizer. If the digitizer does not have the specified channel, an error is generated and the last selected channel remains effective. The default channel corresponds to the default channel for the active digitizer's DCF.

Channel Extended tab options

  • Data input channel: Specifies the channel on which the digitizer is to acquire input data. Note that most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel here or using the Video Signal tab and the Sync. Signal tab in the DCF dialog box.

  • Synchronization channel: Specifies the channel on which the digitizer is to receive synchronization data. Note that when you are using Matrox Helios, Matrox Odyssey XA, and Matrox Solios XA, using a digitizer as an external synchronization signal renders the digitizer of that signal "occupied" and not available for allocating as a digitizer.

Related topics: Video Signal tab and Sync.Signal tab.


DCAM Lens tab

Availability
Matrox Meteor-II /1394
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies DCAM lens settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Lens tab options

  • Auto exposure: Sets whether the exposure should be set manually to the specified value or if the camera controls the exposure level automatically and continuously.

  • Focus: Sets the lens focus capabilities.

  • Iris: Sets the aperture for the mechanical lens iris.

  • Optical filter: Sets the optical filter of the camera lens function.

  • Pan: Sets the panning capabilities for your camera.

  • Shutter: Sets the integration time of the incoming light.

  • Tilt: Sets the camera's tilt capabilities.

  • Zoom: Sets the camera lens's zoom capabilities.


DCAM Misc tab

Availability
Matrox Meteor-II /1394
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies miscellaneous DCAM settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Misc tab options

  • Capture quality: Sets the capture quality of the image.

  • Capture size: Sets the capture size of the image.

  • Gamma: Sets the function between the incoming light level and output picture level.

  • Target temperature: Sets the target temperature for the camera.


DCAM Picture tab

Availability
Matrox Meteor-II /1394
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies DCAM picture settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Picture tab options

  • Brightness: Sets the black level of the picture.

  • Gain: Sets the camera circuit gain.

  • Hue: Sets the color phase of the picture.

  • Saturation: Sets the color saturation of the picture.

  • Sharpness: Sets the sharpness of the picture.

  • White balance U: Sets the U chrominance (color) component of the data.

  • White balance V: Sets the V chrominance (color) component of the data.


Exposure 1/Exposure 2 tab

Availability
Matrox Corona-II
Matrox Genesis
Matrox Helios
Matrox Meteor-II /Camera Link
Matrox Meteor-II /Digital
Matrox Meteror-II /Multi-Channel
Matrox Odyssey
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the exposure signal options.

Exposure 1/Exposure 2 tab options

  • Mode: Sets the polarity of the active portion of the exposure signal for the specified exposure timer. The signal polarity can be set to high, low, or the one specified by the DCF.

  • State: Sets the state of the specified exposure timer. Set this field to M_ACTIVATE to activate a software trigger for the specified exposure timer.

  • Trigger mode: Sets the trigger activation mode for the specified exposure timer. The activation mode specifies when to start the grab after a trigger signal is received. The grab can be started on the next valid field or frame, on a new frame, or one frame after the trigger signal is received.

  • Trigger source: Selects the trigger source for the specified exposure timer. Note that some of the possible signals are actually multi-purpose auxiliary signals and can only be used as trigger signals if they are not defined/used for another purpose.

  • Active time: Sets the time, in nsec, for the active portion of the exposure signal (that is, the exposure time). Set this value to 0 to disable the exposure and perform the grab immediately. Note that an error is returned if the specified exposure time cannot be generated.

  • Time delay: Sets the delay between the trigger and the start of the active portion of the exposure, in nsec. Note that an error is returned if the specified delay cannot be generated.

  • Options specific to Matrox Corona-II, Helios, Meteor-II /Multi-Channel, Odyssey, and Solios.


Exposure1/Exposure2 options specific to Matrox Corona-II, Helios, Meteor-II /Multi-Channel, Odyssey, and Solios

Availability
Matrox Corona-II
Matrox Helios
Matrox Meteor-II /Multi-Channel
Matrox Odyssey
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies Exposure1/Exposure2 tab options specific to Matrox Corona-II, Helios, Meteor-II /Multi-Channel, Odyssey, and Solios.

Exposure tab options specific to Matrox Corona-II, Helios, Meteor-II /Multi-Channel, Odyssey, and Solios

  • Clock source: Specifies the clock source that drives the exposure counter for the specified timer. The clock source can be set to use the horizontal synchronization frequency of your camera, the vertical synchronization frequency of your camera, the pixel clock frequency of your camera, the Matrox imaging board's clock frequency, or the frequency of a continuous timer. A clock source must have a frequency greater than or equal to 1 Hz.

  • Format: Sets whether to enable the TTL or RS-422/LVDS transmitters for exposures and user-defined output signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board. Note that this option is not available using Matrox Corona-II and Matrox Meteor-II /Multi-Channel. For boards that do not support this option, use the Signal Format tab or the User-Defined Signals tab.

Related topics: Signal Format tab and User-Defined Signals tab.


Grab Attribute 1 tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies a the first set of grab settings.

Grab Attribute 1 tab options

  • Start Mode: Sets the grab start mode when using an interlaced scanning camera. The grab can start on a even, odd, or any field.

  • Mode: Specifies how the grab is synchronized with the Host during a single grab. Note that this does not affect continuous grabbing, which always runs asynchronously, otherwise the Halt Grab command would not stop the grab.

  • Timeout: Sets the maximum time to wait for a frame before generating an error.

  • Options specific to Matrox Corona-II, CronosPlus, Genesis, Meteor-II (except /1394), Morphis, Odyssey, Orion, and Solios.

  • Options specific to Matrox Meteor-II /Multi-Channel.

Related topics: Halt Grab


Grab Attribute 1 options available on all boards except Matrox Meteor-II /1394

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios
Matrox Meteor-II /Camera Link
Matrox Meteor-II /Digital
Matrox Meteor-II /Multi-Channel
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Odyssey
Matrox Orion
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies grab attribute options specific all boards except Matrox Meteor-II /1394

Grab Attribute 1 tab options specific to all boards except Matrox Meteor-II /1394

  • Direction X: Sets the horizontal grab direction.

  • Direction Y: Sets the vertical grab direction.


Grab Attribute 1 options specific to Matrox Meteor-II /Multi-Channel

Availability
Matrox Meteor-II /Multi-Channel
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Sets options specific to the Matrox Meteor-II /Multi Channel board.

Grab Attribute 1 tab options specific to Matrox Meteor-II /Multi-Channel

  • Sampling: Introduces a delay between the pixel clock transition and the moment the analog signal is sampled. By default the analog signal is sampled during either the rising or falling edge of the pixel clock. Note that this is only available on the PC/104-Plus form factor of Matrox Meteor-II /Multi-Channel.


Grab Attribute 2 tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the second set of grab settings.

Grab Attribute 2 tab options

  • Window range: Limits the range of the grabbed pixel values.

  • Number of fields: Sets the number of fields to grab when performing a single grab. This control type should only be used for interlaced video. When using progressive cameras, set this setting to 1.

  • Options specific to Matrox Meteor-II /Standard and Orion.

  • Options specific to Matrox CronosPlus.


Grab Attribute 2 options specific to Matrox Meteor-II /Standard and Orion

Availability
Matrox Meteor-II /Standard
Matrox Orion
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies options available when using Matrox Meteor-II /Standard and Orion.

Grab Attribute 2 tab option specific to Matrox Meteor-II /Standard and Orion

VCR input type: Sets the digitizer input type to VCR and improves the image's stability when grabbing from a VCR. This is only valid when using the decoder path.


Grab Attribute 2 options specific to Matrox CronosPlus

Availability
Matrox CronosPlus
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies options available when using Matrox CronosPlus.

Grab Attribute 2 tab options specific to Matrox CronosPlus

  • Fail check: Sets whether and when to log a grab-fail error. When this is set to Final Grab, monoshot grab failures and the last frame of a continuous grab is logged.

  • Number of fail retries: Sets the number of retries when a field or frame grab fails.


Grab Input Gain tab

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II /1394
Matrox Meteor-II /Multi-Channel
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the grab input gain. Adjusting the input gain allows you to optimize the amplitude of the video input signal so that the full dynamic range of the component digitizing the video is used. If you are using Matrox Genesis, Helios XA, Morphis, Odyssey XA or Orions, by default, the gain level setting is applied to all acquisition paths used by the digitizer or to both Y (luminance) and C (chrominance) components (for composite, after separation).

Grab Input Gain tab options

  • Input gain: Sets the input gain with which to amplify the input signal.

  • Option specific to Matrox CronosPlus, Meteor-II /Standard, Morphis, and Orion.

  • Option specific to Matrox Genesis, Helios XCL, Odyssey XA, and Solios XA.


Grab Input Gain options specific to Matrox CronosPlus, Meteor-II /Standard, Morphis and Orion

Availability
Matrox CronosPlus
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Orion
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies options available to Matrox CronosPlus, Meteor-II /Standard, Morphis, and Orion.

Grab Input Gain tab options specific to Matrox CronosPlus, Meteor-II /Standard, Morphis, and Orion

  • Automatic: Specifies whether the on-board decoder should automatically set the input gain. Matrox Morphis applies, by default, the input gain level setting to both Y and C components (for composite, after separation).


Grab Input Gain options specific to Matrox Genesis, Helios XA, Odyssey XA, and Solios XA

Availability
Matrox Genesis
Matrox Helios XA
Matrox Odyssey XA
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies options available to Matrox Genesis, Helios XA, Odyssey XA, and Solios XA. Note that by default, the gain level setting is applied to all acquisition paths used by the digitizer or to both Y (luminance) and C (chrominance) components (for composite, after separation).

Grab Input Gain tab option specific to Matrox Genesis, Helios XA, Odyssey XA, and Solios XA

  • Channel n: Applies the input gain to the nth acquisition path used by the digitizer.


Grab Region tab

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II
Matrox Morphis
Matrox Odyssey
Matrox Orion
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the region from which to grab.

Grab Region tab options

  • Custom size: Enables you to set the size of the grab region.

  • Offset: Sets the X and Y-offset of the input signal capture window.

  • Size: Sets the height and width of the input signal capture window in pixels. Note that certain source sizes, offsets, and destination buffer sizes can affect a grab.

  • Options specific to Matrox Meteor-II /1394.


Grab Region options specific to Matrox Meteor-II /1394

Availability
Matrox Meteor-II /1394
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies grab region options available to Matrox Meteor-II /1394.

Grab Region tab options specific to Matrox /1394

  • Full size of camera: Sets the capture size of the image. The capture size specified depends on the camera used. Note that this is DCAM specific. For more information, refer to your camera's hardware manual.

  • Compensation: Sets whether software compensation is possible when cropping the input signal capture window.

On Matrox Meteor-II /1394, it is possible to optimize grabs by taking advantage of hardware cropping with a format 7-capable camera. To do so, allocate the camera in format 7. When specifying the size and offset, the cropping will be done by the camera's hardware if it is supported, that is, if the specified offsets and sizes match the boundaries of one of the supported subregions. Under any other circumstance, cropping will be done by software.

This setting can be used to disable the software compensation to make sure that hardware cropping is used.


Grab Scale tab

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios
Matrox Meteor-II
Matrox Morphis
Matrox Odyssey
Matrox Orion
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Sets the scaling factors.

Grab Scale tab options

  • Scale X: Controls the horizontal scaling factor when performing a single grab or a continuous grab. To reduce the image size set the scaling factor to a value less than 1. Setting the scaling factor to 1 specifies that no scaling is applied.

When using all boards except Matrox CronosPlus, Meteor-II /1394, and Orion the scaling factor can be any value between 1/2 and 1/16. When using Matrox CronosPlus, the scaling factor can be set top any value between 1 and 1/64. When using Matrox Corona-II and grabbing into a YUV buffer, the scaling value must be set to 1/2.

Matrox Orion supports arbitrary scaling. A bilinear interpolation filter is always applied when the scaling factor is not 1 or 1/2. When the scaling factor is 1 or 1/2, a nearest-neighbor interpolation filter, is applied by default. To specify a different filter set the Input Filter tab.

Setting the scaling factor to Fill Destination calculates and sets the scaling factor to fill the destination buffer. The best scaling factor supported will be used.

Setting the scaling factor to a value greater than 1 increases the image size. This can only be implemented using the Matrox Genesis and Orion imaging boards. Matrox Genesis only supports scaling factors of 2 and 4. Matrox Orion supports scaling factors between 1 and 255, including non-integer values.

  • Scale Y: Controls the vertical scaling factor when performing a single grab or a continuous grab. See Scale X for options corresponding to specific Matrox imaging boards. Note that when using Matrox Corona-II and grabbing into a YUV buffer the restriction specified above does not apply to this field.

  • Grab Scale tab options specific to Matrox Orion.


Grab Scale options specific Matrox Orion

Availability
Matrox Orion
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies grab scale options specific to Matrox Orion.

Grab Scale tab specific to Matrox Orion

  • Quality: Sets the quality of the scaling. It can be set to one of the following:

  • High: Specifies that an entire frame is grabbed in on-board memory before scaling. This setting yields a high quality scaling, but grab latency is doubled.

  • Low: Specifies that each field is scaled separately before being composed into one scaled frame. This setting can cause some vertical scaling artifacts, but grab latency is minimal.

  • Interpolation: Sets the type of interpolation used when scaling the input image. When not scaling, you can use this setting to smooth the grabbed image. If Quality is set to Low interpolation is performed on each field separately. If Quality is set to High interpolation is performed on a frame. It can be set to one of the following:

  • Average: Specifies an averaging interpolation. Note this is not supported when grabbing into a YUV buffer and the grab is scaled by ½.

  • Bilinear: Specifies a bilinear interpolation. Note this is not supported when grabbing into a YUV buffer and the grab is scaled by ½.

  • Nearest Neighbor: Specifies a nearest neighbor interpolation.


Input Filter tab

Availability
Matrox Corona-II
Matrox Helios XA
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies information concerning the input filter. Refer to the Installation and hardware reference manual for more information regarding the frequencies of low-pass filters.

Input Filter tab options

  • Input Filter: Sets the low-pass filter applied to incoming data for all available acquisition paths used by the specified digitizer. It can be set to one of the following:

  • By Pass: Applies no input filter.

  • Low Pass 0: Applies the first low pass filter. Note that this setting can not be used with Matrox Orion Board.

  • Low Pass 1: Applies the second low pass filter. Matrox Corona-II uses a 10 MHz filter. Matrox Helios XA, Odyssey XA, and Solios XA use a 40 MHz filter. Matrox Orion uses an 8 MHz filter.

  • Low Pass 2: Applies a filter of 12.5 MHz. Note that this settingis only available for Matrox Corona-II.

  • Channel 0: Specifies the low-pass filter for the first acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 1: Specifies the low-pass for the second acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 2: Specifies the low-pass for the third acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 3: Specifies the low-pass for the first acquisition path used by the specified digitizer. See Input Filter above for the specific settings.


References tab

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II /1394
Matrox Meteor-II /Standard
Matrox Meteor-II /Multi-Channel
Matrox Morphis
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the reference levels used to digitize the analog signal received from a camera. This tab is specific to analog input devices. Note that Matrox Orion supports all available reference settings.

Reference tab options

  • Options specific to Matrox CronosPlus, Meteor-II /1394, Meteor-II Standard, Morphis, and Orion.

  • Options specific to Matrox Corona-II, Genesis, Helios XA, Meteor-II /Multi-Channel, Odyssey XA, Orion, and Solios XA.


References Matrox CronosPlus, Meteor-II /1394, Meteor-II /Standard, Morphis, and Orion

Availability
Matrox CronosPlus
Matrox Meteor-II /1394
Matrox Meteor-II /Standard
Matrox Morphis
Matrox Orion
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the reference levels that the decoder should use to use to digitize analog signals received from a camera. Note that for Matrox Orion, these options are only available when grabbing monochrome or color data using the decoder section of the board.

References tab options specific to Matrox CronosPlus, Meteor-II /1394, Meteor-II /Standard, Morphis, and Orion

  • Brightness: Sets the brightness level for input signals.

  • Contrast: Sets the contrast level for input signals.

  • Hue: Sets the hue level for input signals. This control is only available when grabbing color data.

  • Saturation: Sets the saturation level for input signals. This control is only available when grabbing color data.


References Matrox Corona-II, Genesis, Helios XA, Meteor-II /Multi Channel, Odyssey XA, Orion, and Solios XA

Availability
Matrox Corona-II
Matrox Genesis
Matrox Helios XA
Matrox Meteor-II /Multi-Channel
Matrox Odyssey XA
Matrox Orion
Matrox Solios XA
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the reference levels to use to digitize analog signals received from a camera. The black reference level must always be less than the white. Note that for Matrox Orion these options are only available when using the RGB section of the board.

When using Matrox Odyssey XA, Solios XA, and Helios XA the reference levels can be specified one of two ways. The first method is to set Black and White in this tab to specific values between the maximum and minimum reference levels. Note that the black reference level must always be less than the white level. Do not set the Input Gain field in the Grab Input Gain tab if you are using this method since the gain will be adjusted automatically.

The second method is to set Black in this tab and then set the Input Gain field in the Grab Input Gain tab to a value between the maximum and minimum reference level. This method corresponds more closely to the actual hardware that controls the reference levels. The hardware has an offset controller followed by a gain controller; the analog-to-digital converter cannot be programmed directly with the reference levels. Note that when using this method, you should not specify a white reference level because it would cause the gain to be altered

Reference tab options specific to References Matrox Corona-II, Genesis, Helios XA, Meteor-II /Multi Channel, Odyssey XA, Orion, and Solios XA

  • Black: Sets the input signal's digitization black reference level. Note that for Matrox Corona-II, Odyssey XA, and Orion some reference level settings might produce the same result due to the fact that there are only 98 distinct adjustments (adjustments of 10.23 mV each). For Matrox Genesis there are 255 distinct adjustments of 9.80 mV each.

  • White: Sets the input signal's digitization white reference level. Note that for Matrox Corona-II, Odyssey XA, and Orion some reference level settings might produce the same result due to the fact that there are only 98 distinct adjustments (adjustments of 10.23 mV each). For Matrox Genesis there are 255 distinct adjustments of 9.80 mV each.

  • 0: Sets the reference level on acquisition path 0. See Black and White above.

  • 1: Sets the reference level on acquisition path 1. See Black and White above.

  • 2: Sets the reference level on acquisition path 2. See Black and White above.

  • 3: Sets the reference level on acquisition path 3. See Black and White above.

  • Lock black values: Locks the ratio between the black reference level on all acquisition paths.

  • Lock white values: Locks the ratio between the white reference level on all acquisition paths.


Signal Format tab

Availability
Matrox Genesis
Matrox Meteor-II /Camera Link
Matrox Meteor-II /Digital
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the signal formats used for trigger and exposure signals. For systems that do not support this tab use the User-Defined Signals tab or the Exposure1/Exposure2 tab instead.

Signal Format tab options

  • User in format: Sets whether to enable the TTL or RS-422/LVDS receivers for trigger signals and user-defined input signals, on systems whose receivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware manual for your Matrox Imaging board.

  • User out format: Sets whether to enable the TTL or RS-422/LVDS drivers for exposure signals and user-defined output signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware manual for your Matrox Imaging board.

Related topics: User-Defined Signal tab and Exposure1/Exposure2 tab.


System User-Defined Signals tab

Availability

Matrox CronosPlus
Matrox Morphis

Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Allows you to control/inquire the user-defined signals that are controlled at a system level (MsysControl() and MsysInquire()) rather than at the digitizer level. Note, see the User-Defined Signals tab for other Matrox imaging boards that have user-defined signals but are not supported here.

System User-Defined signals tab options

  • User-defined signal: Sets the state of the current user bit on the specified user-defined signal(s) to output or input.

  • Mode: Sets the mode of the specified user-defined signal if it is a bi-directional (I/O) signal. Specifies that the user-defined signal is for input and/or output.

  • Read: Displays the value of the system user-defined signal when you click on the Read button.

  • Write: Sets the current bit on the specified system user-defined signal to on or off.

Related topic: User-Defined Signals tab


Trigger tab

Availability
Matrox Corona-II
Matrox CronosPlus
Matrox Genesis
Matrox Orion
Matrox Helios
Matrox Meteor-II
Matrox Morphis
Matrox Odyssey
Matrox Solios
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the grab trigger options.

Trigger tab options

  • Detection state: Sets the grab trigger detection state. Setting this field to Enable, enables trigger detection. Setting this field to Disable, disables trigger detection. Setting this field to activate starts the grab immediately, an asynchronous or continuous grab must be in progress. When this field is enabled the digitizer is set to detect the occurrence of an event. A frame is then grabbed (or continuously grabbed) on the occurrence of the event.

  • Software Trigger: Sends a software trigger if the trigger source is set to software. An asynchronous or continuous grab must be in progress.

  • Mode: Sets the hardware trigger activation mode. Specifies whether to trigger upon a high to low signal variation, a low to high signal variation, a maximum signal level, or a minimum signal level.

  • Source: Sets the source of the grab trigger.


User-Defined Signals tab

Availability

Matrox Helios
Matrox Odyssey
Matrox Solios

Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies user-defined signal information. The user bits are the bits on user-defined input, output, and/or I/O (bidirectional) signals. See the System User-Defined Signals tab for other Matrox imaging boards that have user-defined signals but are not supported here. To set the user bit interrupt mode, the user bit interrupt state or to specify a bit-encoded mask value to identify the group of user defined signals to affect, use MdigControl().

User-Defined Signals tab options

  • User-defined signal: Sets the state of the current user bit on the specified user-defined output signal(s) or I/O signals set to output. You can specify one of three things: a bit-encoded mask value that identifies the group of user-defined signals to affect, the number of a specific user-defined signal, or the number of a specific camera control signal.

  • Read: Displays the value of user-defined signal when you click on the Read button.

  • Write: Sets the current bit on the specified user-defined signal to on or off.

  • Format: Sets whether to enable the TTL or LVDS transmitters/receivers for the user-defined signal, on systems whose receivers are enabled through software and where the option of both TTL and LVDS are possible. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board. For systems that do not support this option see the Exposure1/Exposure2 tab topic or the Signal Format tab topic.

Related topics: System User-Defined Signal tab and Signal Format tab.


System Selection

Availability
All Boards

Menu

Options System Selection

Shortcut

  • Toolbar System Selection.

  • Context menu.

Allows you to allocate a hardware system (board set or Host system) so that it can be used with subsequent commands. The active system will then be used for all subsequent commands executed in Matrox Intellicam. A system must be allocated before a DCF can be modified or an image is grabbed. This command also allows you to free an allocated system.

System Selection dialog box options

  • Available systems: Specifies the available systems. Note that device 0 is either the only system installed on your computer or it is the first of several systems. You should choose a virtual system if you do not actually have the required board installed but would still like to edit or create a DCF file for that system.

  • Allocate: Opens the System allocation dialog box. This dialog box allows you to specify information about the system. An error is generated if the system cannot be allocated.

  • Free: Frees the active system. Once you have finished using a system, you should free it.

  • Make Active: Sets the selected system as the active one. This makes the specified system the default one, and the icon next to the system name changes to an A (for active system). Note that can also double click on the selected device to make it active.

  • Info: Displays system information.

Related topics: System tab


System tab

Availability
All Boards

Accessed from

  • Options System Selection command, select the Allocate button, chose System tab.

  • Select the System Selection button from the toolbar. Choose the Allocate button.

Specifies the selected system's settings, including the device number and device's initialization mode.

System tab option

  • Device number: Specifies the number (or rank) of the system. Note that device number 0 corresponds to the first system and device number 1 corresponds to the second system if one is installed.

  • Device initialization: Specifies the type of initialization to perform on the selected system. This setting can be set to M_DEFAULT, M_COMPLETE, or M_PARTIAL. M_COMPLETE initializes the system to its default state and downloads any required resident software. M_PARTIAL initializes the system toits default state but does not download any resident software.


Preferences

Availability
All Boards
Menu | Options Preferences
Shortcut | Context menu

Allows you to specify preferences related to the DCF editor.

Preferences dialog box options

  • DCF Editor tab: Specifies whether or not to automatically correct errors, when to list DCF errors, and whether or not to continuously update the digitizer with the current DCF settings.

  • Register Compute tab: Specifies the method used to compute the DCF register values.

  • Image tab: Specifies preferences related to images.

  • System tab: Specifies system options.


DCF Editor tab

Availability
All Boards

Accessed from

Options Preferences command, select DCF Editor tab.

Specifies whether to automatically correct errors, when to list DCF errors, and whether to continuously update the digitizer with the current DCF settings.

DCF Editor tab options

  • Auto-Correction: Enables auto-correction. When auto-correction is enabled, Matrox Intellicam tries to fix DCF errors automatically by modifying incorrect values or by adjusting other values.

Auto-correction is also useful when importing a DCF. When you open a DCF that was created for a system other than the active one, auto-correction ensures that all DCF settings are valid. The auto-correction option will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. Note that when using auto-correction, always verify the automatically selected values to make sure that they match the specifications of your target camera. To display the changes in a window, use the DCF Show Auto-Correct Report command.

  • Continuous Validation: Validates your DCF after every modification and continuously updates the digitizer.

  • Show Error Report window only when errors are present: Lists all outstanding errors and the required corrections in the Error Report window. This window opens when an error occurs in the DCF and the window remains open until all errors are corrected.

Related topics: Show Auto-Correct Report and Show Error Report


Register Compute tab

Availability
All Boards

Accessed from

Options Preferences command, select Register Compute tab

Specifies the method used to compute the DCF register values.

Register Compute tab options

  • Automatically compute registers when necessary: Recomputes the digitizer register values each time a value is changed in the DCF. Therefore, the register values are continuously updated, ensuring that the DCF is always synchronized. You see the results of your changes immediately.

When this option is disabled, you must select the DCF Compute Registers command to update the register values. Note that Matrox Intellicam will ask you if you want to compute the registers when you validate the DCF, print the DCF, save the DCF, grab a single image, or grab continuously.

This option is enabled by default.

  • Directly Edited Registers: Applies to the registers that you have asked the Matrox engineers to edit. If you are using a non-standard camera and Matrox engineers have directly modified your registers we recommend that you set field to Never overwrite. This will ensure that you so not accidentally overwrite the registers set by Matrox Engineers.

  • Never overwrite: Enables the bypassing of the values specified in the DCF and uses the values edited by Matrox engineers.

  • Ask to overwrite: Prompts for confirmation before overwriting the values that were manually set (without using the Matrox Intellicam interface).


Image tab

Availability
All Boards

Accessed from

Options Preferences command, select Image tab

Specifies preferences related to images.

Image tab options

  • Category: Specifies that you would like to set either the Child Area category or the Image Preferences category.

  • Child area category: Specifies child area characteristics.

  • Image Preferences category: Specifies image settings.

Related topics: Color dialog box


Child Area Category

Availability
All Boards

Accessed from

Options Preferences command, select Image tab.

Specifies preferences related to the child area. Note that you cannot use these settings to resize or move the child area; to do so, see the Image Child Area command.

Child Area category options

  • Child area visible: Displays a border around the active image's child area.

  • Grab in child area: Grabs into the active image's child area, instead of grabbing on top of the entire image.

  • Area tracker width: Specifies the width of the circular handles that appear along the displayed border of the child area. You can specify this value using the arrow buttons or you can type it in directly.

  • Area border width: Specifies the width of the border displayed around a child area. You can specify this value using the arrow buttons or you can type it in directly.

  • Border Color: Opens the Color dialog box. This dialog box allows you to change the color of the border displayed around a child area. Note that the current border color is displayed next to this button. Changing the border color makes it easier to view details surrounding the edges of the image.See the To specify a color topic.

Related topic: Image Child Area and To specify a color.


Image preferences category

Availability
All Boards

Accessed from

Options Preferences command, select Image tab, chose the Image Preferences category.

Specifies preferences related to the active image.

Image Preferences category options

  • Frame: Specifies that a frame is placed around the image. Click on the Color button to specify the color of the image border.

  • Others. Enables/disables the undo command. Matrox Intellicam must be restarted in order to enable/disable the undo command.

Related topics: To specify a color.


System tab

Availability
All Boards

Accessed from

Options Preferences command, select System tab.

Specifies system options.

System tab options

  • Error flash time: Specifies the amount of time, in msec, to flash a MIL error message (when it occurs) in the main application status bar.

  • Error flash count: Specifies how many times, within the duration of the specified error flash time, to flash a MIL error message (when it occurs) in the main application status bar.

  • Keying color: Opens the Color dialog box. This dialog box allows you to change the keying color. Note that the current keying color is displayed next to this button. See the To specify a color topic for an explanation on how to change colors.

  • Frame rate interval: Specifies, in msec, how often to calculate the frame rate. If you are using a cameras with a slow frame rate this interval must be increased.

Related topics: Status bar and To specify a color.


New window

Availability
All Boards
Menu | Window New Window
Shortcut | CTRL+W

Opens a new window containing a second view of the same document. This window will have the same contents as the current window, but both windows can be manipulated independently. Any change made to one window directly affects the other window.


Cascade

Availability
All Boards
Menu | Window Cascade
Shortcut | Context menu

Rearranges all windows so that they are partially overlaid one on top of the other, in a cascading pattern.


Tile

Availability
All Boards
Menu | Window Tile
Shortcut | Context menu

Arranges all open windows like tiles so that they cover the entire workspace. The size of the 'tiles' depends on the number of open windows. The 'tiles' are automatically reduced or enlarged, as required, in order to fit all 'tiles' in the workspace.


Arrange icons

Availability
All Boards

Menu

Window Arrange Icons

Arranges all window icons in rows at the bottom of the application workspace.


Close all

Availability
All Boards
Menu | Window Close All
Shortcut | Context menu

Closes all open windows and window icons. You are prompted to save new or modified images, and/or DCFs.

Related topics: Close, Save, and Save as.


Window 1, 2, .. 9 <<filename>>

Availability
All Boards

Menu

Window <<filename>>

Displays a list of windows and window icons currently in the application workspace. A check mark indicates the active window.


Contents

Availability
All Boards

Menu

Help Contents

Shortcut

  • Toolbar Contents button

  • Help Topics button

  • F1

Opens the Matrox Intellicam help file (this help file), with the Contents tab visible. The Contents tab lists all topics in Matrox Intellicam help. Topics containing sub-topics are identified with a book icon. To view (or hide) sub-topics, double click on the main topic. To view the description of a sub-topic, double click on it.

Note that you can also obtain context-sensitive help.

Related topics: Context Help


Search

Availability
All Boards

Menu

Help Contents

Shortcut

  • Toolbar Help topics button.

  • F1.

Opens the Search tab for Matrox Intellicam's on-line help and allows you to search for a specified topic. Matrox Intellicam's on-line help supports full text search. You can search for phrases by enclosing the phrase in quotation marks ("). You can also precisely define a search using wild card expressions (* and ?), Boolean operators (AND, OR, NOT, and NEAR), and nested expressions (using parenthesis).

Note that the help will consider a string with a period or dash in it as two consecutive words. For example, to search for X-coordinate, you would have to put it inside quotation marks for the search to find the string.

You might find it useful to search with the Match similar words option enabled, and then refine your query and search through previous results. Sort through the resulting list of topics according to their Title, Location, or Rank by clicking on the corresponding column heading.

Note that the menu command that enables the highlighting of found terms is not very intuitive. When the feature is enabled, the Options Search Highlight Off menu command is available, whereas when disabled, the Options Search Highlight On menu command is available.

In some rare cases, found terms are not highlighted when highlighting is enabled. Press <CTRL F> to search for the term in the topic.

You can also access for help topics using the table of contents.

Related topics: Help Contents and Context-sensitive help.


Context Help

Availability
All Boards

Menu

Help Context Help

Shortcut

  • Toolbar Context Help button.

  • F1.

Allows you to obtain context-sensitive help by clicking on Context Help button, moving the cursor over the required window or menu item, and clicking on the left mouse button. The help topic describing the selected window or item appears on the screen. Note that context-sensitive help is not available for all options in Matrox Intellicam.

Some areas also provide context-sensitive help by clicking on the area and pressing F1.


Tip of the day

Availability
All Boards

Menu

Help Tip of the Day

Displays a useful tip about Matrox Intellicam.

Tip of the Day dialog box options

  • Next tip: Displays another tip.

  • Show Tips on StartUp: Automatically displays a tip each time Matrox Intellicam is loaded.


About Matrox Intellicam

Availability
All Boards

Menu

Help About Intellicam

Displays the version number of your copy of Matrox Intellicam and a copyright notice.


Using Matrox Intellicam

Availability
All Boards

The following information is required to grab images or test DCFs. Before starting, make sure that your frame grabber is correctly installed and set up, and that your camera is properly connected. Note that these are basic steps to use either standard or non-standard cameras.

The following list explains how to use Matrox Intellicam.

  1. Choose a system.

  2. See the Matrox website (http://www.matrox.com/imaging/cameras/home.cfm) for camera interface application notes and their corresponding DCFs.

  3. Choose a DCF that matches, as closely as possible, the data format of your camera.

  4. Create an image document. If you select one of the digitizer grab commands before creating an image, an image document will be created for you with the values specified in the DCF.

  5. Continuously grab from your camera into the image document.

  6. Adjust the digitizer controls and/or fine-tune your DCF. Refer to the DCF dialog box topic for information on fine-tuning your DCF.

Related topics: Digitizer configuration format tab, Digitizer configuration format dialog box, Image tab, To perform a continuous grab, and Digitizer control.


Selecting a target system

Availability
All Boards

Matrox Intellicam requires that you specify a target system before using any of its features. A system generally refers to a Matrox board that is installed in your computer. In Matrox Intellicam a system refers to a board with video acquisition capabilities.

The first time that you load Matrox Intellicam, the System Selection dialog box opens. From the list of available systems that appear, select the required system, and either double-click on it or click on the Make Active button.

You will also notice that Matrox frame grabbers are available as virtual systems in Matrox Intellicam. You would select a virtual system to configure a DCF file for a board that is not currently installed. Note that you cannot grab using a virtual system.

The following list explains how to change the target system in Matroxx Intellicam.

  1. Click on the System Selection button, or use the Options System Selection command. The System Selection dialog box opens.

  2. Choose your target system (for example, Meteor-II 0). This makes the selected system the default system and the icon next to your selection changes to an A (for Active System). The active system is the system with which to capture images and associate DCFs. The 0 following the name of the board implies that the board is the first of several boards of the same type installed in your computer. Moreover, it indicates a physical board as opposed to a virtual one.

  3. Click on Close. The system with the A icon is now the active system

Related topics: Options System Selection


To perform a continuous grab

Availability
All Boards

A continuous grab allows you to verify that your camera is properly adjusted. For example, if the image appears too dark or too bright, you can adjust the aperture of the camera and verify the results immediately. Note that if the commands in the Digitizer menu are disabled, your board or its interface to your camera is probably not set up properly.

To perform a continuous grab operation the following steps apply. When performing a Continuous Bayer grab you must also specify the Bayer pattern used by the camera and if necessary the white balance coefficients. These options can be set by the Digitizer Bayer Settings menu command. Note that if you are using Matrox Helios XCL, Odyssey XCL, or Odyssey XD, Bayer conversion can be performed by the Host or by the frame grabber. If you are not using Matrox Helios XCL, Odyssey XCL, or Odyssey XD, Bayer conversion is performed by the Host. Note, to grab from a camera with a Bayer color filter, see To perform Bayer conversion and white balancing.

The following specifies the steps that must be performed to grab continuously:

  1. Select an active system.

  2. Click on the Continuous Grab button on the main toolbar, or use one of the Digitizer Continuous Grab commands.

If you have previously opened a DCF file and an image window, the image window starts displaying the live input from your camera. If you have not, the New Document dialog box opens with the Digitizer Configuration Format tab selected. Select a DCF from the list. A live image window opens, displaying the input from your camera. You can change the DCF options by selecting the appropriate tabs from the DCF dialog box.

  3. (Optional) To modify digitizer controls, open the Digitizer Control dialog box. Using the options available in the Digitizer Control dialog box, make any necessary adjustments to your digitizer. The result of your changes will be visible in the image immediately.

The digitizer controls are applied "on top of" the initial state of the DCF, taking precedence over the initial state of the DCF. Note, however, that you cannot save the settings that you change in the Digitizer Controller dialog box since these are dynamic controls applied "on top of" the initial DCF state. Your changes will still be in effect when you close the Digitizer Controller dialog box or when you halt the grab and then restart it. However, once you close and reload the DCF, the initial DCF settings will be active, and all the digitizer control settings will be reset to their default values.

  4. You can stop the grab on a required frame by clicking on the Halt button in the main toolbar or using the Digitizer Halt Grab command. The last frame remains in the image window until you close it. Attempting to close the image window during the grab will also halt the grab.

  5. Click on the Continuous grab command to reactivate the continuous grab, or click on the Single grab command to grab another frame. Repeat this step as required.

Related topics: To perform Bayer conversion and white balancing, Selecting a target system, Toolbar, Digitizer Continuous Grab, Digitizer Continuous Safe Grab, Digitizer Continuous Bayer Grab, DCF dialog box, Digitizer Configuration Format tab, Digitizer Control, Digitizer Configure Bayer Settings and Halt grab


To perform a single grab

Availability
All Boards

A single grab allows you to grab a single snapshot image. Note that if the commands in the Digitizer menu are disabled, your board or its interface to your camera is probably not set up properly.

To perform a single grab operation the following steps apply. When performing a Single Bayer grab you must specify the Bayer pattern used by the camera and if necessary the white balance coefficients. These options can be set by the Digitizer Bayer Settings menu command. Note that if you are using Matrox Helios XCL, Odyssey XCL, or Odyssey XD, Bayer conversion can be performed by the Host or by the frame grabber. If you are not using Matrox Helios XCL, Odyssey XCL, or Odyssey XD, Bayer conversion is performed by the Host. Note, to grab from a camera with a Bayer color filter, see To perform Bayer conversion and white balancing for more information.

The following specifies the steps that must be performed to grab a single image:

  1. Open a DCF file using the File New or File Open commands. Modify your digitizer settings if necessary using the appropriate tabs in the DCF dialog box.

  2. Click on the Single Grab button on the toolbar, or use the Digitizer Single Grab command. If you have not already opened a DCF or image window the New Document window will open with the Digitizer Configuration format tab selected. Select a DCF from the list and click on Open. A new image window opens, with one grabbed frame displayed in it. If an image window was previously opened it will display the grabbed frame. The same effect occurs when a Halt Grab command is given during a continuous grab.

  3. Process this new image as you would any other image.

  4. (Optional) To modify Digitizer controls, open the Digitizer Controller dialog box. Using the options available in the Digitizer Controller dialog box, make any necessary adjustments to your image. You will see the result the next time you grab an image.

  5. The digitizer controls are applied "on top of" the initial state of the DCF, taking precedence over the initial state of the DCF. Note, however, that you cannot save the settings that you change in the Digitizer Controller dialog box since these are dynamic controls applied "on top of" the initial DCF state. Your changes will still be in effect when you close the Digitizer Controller dialog box or when you halt the grab and then restart it. However, once you close and reload the DCF, the initial DCF settings will be active, and all the digitizer control settings will be reset to their default values.

Related topics: Digitizer Single Grab, Digitizer Single Safe Grab, Digitizer Single Bayer Grab, Digitizer Configure Bayer Settings, DCF dialog box, Digitizer Configuration Format tab, and Digitizer Halt Grab.


To select or modify a DCF

Availability
All Boards

A DCF is a file that contains the register-level information that must be programmed into the digitizer section of your target system before you can grab with your particular camera. To interface your frame grabber with a camera, you must specify a DCF that matches the video timings and format of that camera.

If you are using a standard camera (such as, RS-170 or CCIR), a DCF is already pre-defined for your camera. If you are using a non-standard camera, a DCF might have been pre-defined. If not, you will either have to modify an existing DCF or create a new one. Note that it is highly suggested that you download the official and verified DCFs from the Matrox Imaging website: http://www.matrox.com/imaging/cameras/appnotes.cfm.

The following specifies how to select or modify a DCF:

  1. To open an existing DCF, use the File Open command or click on the Open button. The DCF opens in a DCF dialog box.

  2. When you open a DCF that was created for a system other than the active one, make sure that auto-correction is enabled using the Option Preferences DCF Editor tab. When auto-correction is enabled, Matrox Intellicam ensures that all DCF settings are valid for the active system. Matrox Intellicam will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. You must always verify the automatically selected values to make sure that they match the specifications of your target camera.

  3. You can also create your own DCF from scratch, but it is easier to start from an existing DCF and change the fields that do not conform to the configuration of your particular camera. To create a DCF, select the File New command. This opens the New Document dialog box on the Digitizer Configuration Format tab. You can either select an initial digitizer format from the presented dialog box or click on the Browse button to start from an existing DCF file. Refer to the DCF dialog box topic for more information on setting the appropriate values.

  4. Modify fields in the appropriate tabs in order to configure the DCF for your camera.

  5. The DCF dialog box will not have the same name as the selected digitizer format; rather, it will have a temporary name (for example, DCF1). You can choose a file name when you save your DCF, using the Save button. Note that if you use the Save button when you have an existing DCF open, saving will overwrite the original file without prompting you to overwrite the file. If you want to keep the original file, use the File Save As command, and give it a different file name.

Related topics: File New, File Open, File Save, File Save As, Digitizer Configuration format tab, DCF dialog box, Overview tab, Camera tab, Video signal tab, Video timing tab, Pixel clock tab, Exposure signal tab, Grab mode tab, Sync. signal tab, Digital synchro tab, Advanced tab, Other tab, Bits tab/sub-tab, and Options Preferences DCF Editor.


To perform Bayer conversion and white balancing

Availability
All Boards

Bayer conversion can be used with Matrox Intellicam to provide a cost-effective method of grabbing color images. Bayer conversion transforms a single-band color-encoded image into a multi-band color image. During Bayer, conversion you can also white balance the image to adjust for color variations that were introduced by the lighting conditions when the image was grabbed; pixels that represent white are converted so they appear as close to white as possible, and other pixels are adjusted accordingly.

There are two different ways of performing Bayer conversion in Matrox Intellicam. Primarily, you can perform Bayer conversion by the Host after performing the grab . Secondly, you can perform Bayer conversion as you grab when using Matrox Helios XCL, Odyssey XCL, or Odyssey XD. Note implementing Bayer conversion by the Host and the frame grabber results in incorrect pixel information.

Using the Host

The image is grabbed into an internal buffer, Bayer conversion is applied, and then the image is copied to the display. To perform Bayer conversion using this technique you must:

  1. Grab an image, using the Single Grab command, that is a uniform shade of gray. To do so, hold a flat, smooth, non-reflective object that is a uniform shade of gray in front of a camera so that the object occupies the camera's entire field of view. The shade of gray should not be too close to white (too saturated) because if one or more color bands is actually being clipped to maximum saturation, the unbalance between the bands cannot be observed. Ensure that the image is grabbed under the same lighting conditions as subsequent source images. You can also load a Bayer color-encoded source image from disk. The image should be a uniform shade of gray and not too saturated. The loaded image must have been grabbed with the same lighting conditions that are in effect when grabbing the image that is to be converted.

  2. In the Bayer Setting dialog box, accessed using the Digitizer Bayer Settings command or in the Bayer button dialog box, specify your camera's Bayer pattern. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unattainable, try all of the patterns to find the correct colors.

  3. To use automatically calculated white balancing coefficients, de-select the Default checkbox, click the Custom Coefficients button, and click on the Calculate button. Three white balance coefficients are calculated and appear in the R, G, and B edit fields in the dialog. You can also specify your own white balance coefficients in the appropriate boxes.

  4. Grab an image in the same image window that was used in step 1 using the Single Bayer grab or Continuous Bayer grab command. Note that if you use the Single Grab command or the Continuous Grab command, Bayer conversion is not performed.

Using Matrox Helios XCL, Odyssey XCL, and Odyssey XD

Bayer conversion is applied directly to the image, the image is not saved in an internal buffer. If this method of Bayer conversion is specified, it is applied using the Single Grab, Single Safe grab, Continuous grab, and Continuous Safe grab commands.

  1. Grab an image, using the Single Grab command, that is a uniform shade of gray. To do so, hold a flat, smooth, non-reflective object that is a uniform shade of gray in front of a camera so that the object occupies the camera's entire field of view. The shade of gray should not be too close to white (too saturated) because if one or more color bands is actually being clipped to maximum saturation, the unbalance between the bands cannot be observed. Ensure that the image is grabbed under the same lighting conditions as subsequent source images. You can also load a Bayer color-encoded source image from disk. The image should be a uniform shade of gray and not too saturated. The loaded image must have been grabbed with the same lighting conditions that are in effect when grabbing the image that is to be converted.

  2. In the DCF Camera sub-tab and in the Digitizer Control Bayer tab, enable Bayer conversion and specify your camera's Bayer pattern. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unattainable, try all of the patterns to find the correct colors.

  3. Grab or load an image in the same image window that was used in step 1 using the Single grab, Single safe grab, Continuous grab, or Continuous safe grab command. Note that the Single Bayer grab and Continuous Bayer grab commands do not apply Bayer conversion by the frame grabbers. These commands are only used to apply Bayer conversion by the Host.

Related topics: Single Bayer Grab, Continuous Bayer Grab, Configure Bayer settings, Digitizer Control Bayer tab, DCF Camera sub-tab, and Digitizer Configure Bayer setting dialog box.


To specify a color

Availability
All Boards

In Matrox Intellicam, you can specify the color of the border surrounding a child area and the color of the frame surrounding an image. The later makes it easier to view details surrounding the edges of the image.

The following specifies how to change the color of the frame around the active image and the color of the child area border:

  1. To specify the color of the border surrounding the child area, open the Preferences dialog box using the Options Preferences menu command. Select the Image tab. Click on the Border Color button.

  2. To specify the color of the border around the image, open Preferences dialog box using the Options Preferences command. Select the System tab. Click on the Color button.

  3. Select a color from the Basic colors or Custom colors palette. To do so you can either place your cursor over the required color and then click the left mouse button, select a Hue and Saturation combination from the continuous palette, or type the RGB or HSL values of the required color in the appropriate edit areas.

  4. Modify the Luminance, if required.

The following specifies how to add a custom color palette:

  1. Select the color to add, using the method outlined above.

  2. Click on the Add to Custom Colors button to add the selected color to the Custom colors palette.

Related topics: Options Preferences Image tab and Options Preferences System tab.


Creating an image document

Availability
All Boards

To grab or load an image in Matrox Intellicam, create an image document. An image document is a memory buffer associated with your target system, and is used to store grabbed or loaded images. Matrox Intellicam supports image documents in several image formats, including MIM, TIFF, RAW, BMP, JPEG, and JPEG2000. To load and create JPEG and JPEG2000 image documents, you must have a MIL compression and decompression license or Matrox compression acceleration hardware.

The following specifies how to create an image document:

  1. To create an image document, open the New Document dialog box using the New Image button.

  2. The Image tab allows you to set various image attributes, such as the size and type. If a DCF file is already opened in Matrox Intellicam, the new image document is, by default, created using the attributes specified in the DCF. To create an image with different attributes, select the Settings set manually option, and specify all the required information

Related topics: Image tab, Digitizer configuration format tab, New Document, DCF dialog box, and Overview tab.


Glossary

Availability
All Boards

For a more in-depth description of video and camera interfacing terms, see appendix B of the Intellicam User Guide.

active period or active video

Related to the video signal, it is the interval in which the signal carries valid pixel data. During this state, the frame grabber grabs the video information and places it into memory. For more information, refer to the video timings definition.

asynchronous reset mode

Mode in which the camera can be externally reset to start a new frame on demand. The camera resets its vertical timing and sends the valid frame.

back porch

The state following the synchronization period and preceding the active video period. During this state, the video information is not valid.

band

One of the surfaces of a buffer. A grayscale image requires just one band. A color image requires three bands, one for each color component (red, green, and blue).

binning

When grabbing images, a technique for reading an electron charge pattern out of a CCD. The stored charges from several pixels combine to create the equivalent of a single larger pixel.

The advantage of binning is that it can boost low signals; this technique can increase the frame rate and reduce the resolution.

black voltage level

The voltage corresponding to a black pixel. Any voltage level below the black voltage level (such as the voltage levels used for synchronization signals) is referred to as "blacker than black". Valid video levels should not dip below the black voltage level. Note that this applies only to analog video.

blanking period

The portion of a video signal after the end of a line, and before the beginning of a new one. During this period, where displays are concerned, the video signal is "blanked" so that a scan line can be brought back to the beginning of a new line. To do so, the voltage is set to a blanking voltage. The blanking voltage might be the same as the black voltage level.

block synchronization

The synchronization information provided in the RS-343 standard (which is a modified version of the RS-170 standard). This type of synchronization signal does not have serration or equalization pulses during the vertical retrace. In addition, horizontal synchronization signals do not occur during the vertical synchronization period.

camera type

See frame scan camera type and line scan camera type.

child area

A specific portion of an image (that is, a specific region of interest). Any change made to the child area affects the entire image. In other words, an operation performed on the child area is also performed on the corresponding region of the parent (full) image. However, the child area is an image in its own right. Whenever the entire image cannot be used, you can use the child area instead to affect only a part of the entire image. When a child area is specified, results are returned relative to the child area's coordinates rather than the parent image's coordinates.

clamping period

The location where the reference voltage level of an analog signal is determined. It is found in the inactive video region (back porch, front porch, or synchronization pulse), and is characterized by a constant video voltage level that defines the black level of the video signal.

composite input signal

A signal that carries both the horizontal and vertical synchronization information, along with the video information.

composite sync

A synchronization signal made up of both vertical and horizontal synchronization components.

DCF

Digitizer Configuration Format. A document, generally stored in a file that is created by Matrox Intellicam. This document contains the register values with which to configure your Matrox frame grabber. It is used by Matrox software to initialize the frame grabber such that it accepts the particular video signals from a specific camera.

Such files have a DCF extension.

dual-tap camera

A camera that outputs two pixels simultaneously on two separate taps; for multiple tap cameras, pixels are output simultaneously on more than one tap.

electrical format - TTL, RS-422, and LVDS

The type of signal generated by a digital source, TTL, RS-422, or LVDS. Each format defines a specific voltage and electrical characteristic.

The TTL format signal is characterized by voltage levels of 0V and 5V; these correspond to the standard logical states 0 and 1, respectively.

The RS-422 and LVDS format signals are composed of two complementary signals (differential), SIGNAL+ and SIGNAL -, from which the standard logical states 0 and 1 can be extracted.

equalization pulses

Equalization pulses, like serration pulses, are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the end of the field, and following the serration pulse. These small pulses might or might not occur in a composite synchronization (csync) signal, depending on the type of camera used.

exposure

The period during which the image sensor of a camera is exposed to light. As the length of this period increases, so does the brightness of the image.

exposure clock

Specifies the frequency with which the exposure signal is calculated.

exposure signal

A timer-based pulse. The exposure signal can be used to control external hardware. For example, it can be fed to the camera to control exposure time or used to fire a strobe light.

exposure timer

An electronic circuit that measures time. In the context of Matrox Intellicam, a timer is used to generate an exposure signal. When you use a timer as a trigger, a frame is grabbed a specified amount of time after the timer is started. This can be used for exposure: the exposure signal remains active for a specified amount of time (known as the exposure time or pulse width), then upon the end of the exposure, the image can be grabbed.

field

One of the two halves of a frame in interlaced modes. One half consists of the image’s odd lines (known as the odd field); the other half consists of the image’s even lines (known as the even field).

Note that this only applies to interlaced frame scan cameras.

frame

A single image grabbed from a frame scan camera.

frame scan camera

Generally, a camera that provides a two-dimensional image. Examples of frame scan cameras include any RS-170A or CCIR timing-compatible cameras.

Frame scan cameras have a constant horizontal timing and vertical timing.

front porch

The last state in a line/field. It follows the active video period and precedes the state of the next line/field. The video information is not valid during this state.

genlock

Generator locking device. A technique/device that allows multiple video sources to synchronize. Genlock synchronizes the pixel clock, vertical synchronization and horizontal synchronization signals to ensure that multiple video sources are synchronous.

horizontal synchronization

The horizontal reference signal which indicates the end of a line and the start of a new one. It is used to horizontally synchronize video devices to each other (for example, a camera and a frame grabber).

input-signal gain

A factor by which to electrically amplify the incoming video signal when referring to analog video.

interlaced

Describes a camera that sends a frame in two distinctive parts: one that consists of the even-numbered lines, and another that consists of the odd-numbered lines. These parts are known as the odd and even field of the frame. The lines of the frame are written to the buffer in an interleaved fashion (that is, the odd and even lines are properly intermixed).

This applies to frame scan cameras.

keying

Keying is a display effect, that switches between two display sources according to pixel values in one of the sources. It is often used to make portions of an overlay display memory transparent so that corresponding areas of the display memory can show through it.

Also known as transparency (keying).

line scan camera

A one-dimensional scan type camera that grabs on a line basis with constant or variable horizontal timings.

multi-tap camera

A camera that has two or more video outputs. Therefore, two or more pixels can be transmitted simultaneously. This setup allows for faster frame/line rates without increasing the pixel clock.

non-interlaced

Describes a frame scan camera that sends a single sequence of lines per frame. The lines of the frame are written into a buffer in a non-interleaved fashion, as opposed to interlaced.

See also: progressive scan.

pedestal

The DC voltage offset between the blanking and the black voltage level when referring to analog video signals.

pixel clock

A digital signal used to synchronize the latching of the pixel data.

The pixel clock frequency (or sampling rate) determines how many pixels of digital data will be extracted from the active portion of the analog or digital signal.

polarity

Indicates the active edge or level of a signal. A positive edge trigger signal means that the rising edge is the active edge, while a negative edge means that the falling edge is the active edge, whereas a falling edge activates a negative edge trigger signal. For active levels, a positive polarity for signal level indicates an active high level, while a negative polarity for signal level indicates a low level.

progressive scan

Describes a camera that sends a single signal per frame, when referring to frame scan cameras. The lines of the frame are written into a buffer in a non-interleaved fashion (that is, sequentially).

See also: non-interlaced.

reference levels

When digitizing images from analog video sources, black and white reference levels determine the zero and full-scale values, respectively, of the input voltage range. The analog-to-digital converters convert any voltage above the black reference level to the specified maximum white pixel value. Any voltages below the black reference level to a zero pixel value.

serration pulses

Serration pulses, like equalization pulses, are synchronization pulses used to synchronize video equipment. These small pulses might or might not occur in the composite synchronization (csync) signal, depending on the type of camera used. They appear during the vertical blanking period, directly at the beginning of the field/frame.

synchronization signal

A signal that indicates the end of a line or frame and the start of a new one (horizontal synchronization signal or vertical synchronization signal).

synchronization pulse period

The state that indicates the beginning of a line (horizontal synchronization) or the beginning of a field/frame (vertical synchronization). During this state, the video information is not valid.

system

In general, in Matrox Intellicam, a system refers to a board with video acquisition capabilities that you have installed in your computer.

swing type

Describes the relationship between the voltage levels of the active video and the vertical blanking when referring to analog video signal. In a positive swing signal, the voltage of the active video is above (more positive than) the blanking level. In a negative swing signal, the active video signal is below (more negative than) the blanking level. An active-video voltage swing that is both above and below the blanking level is defined as a "both side" swing-type signal.

UART

Universal Asynchronous Receiver/Transmitter. A component that handles serial communication through an interface.

vertical synchronization signal

The vertical reference signal which indicates the end of a frame and the start of a new one. It is used to vertically synchronize video devices to one another. For example, it is used to make sure that the very first line in a frame is grabbed. The vertical synchronization from the camera is used to tell the frame grabber to start grabbing at a precise moment.

video format

A standard that determines the way video signal is structured. See appendix C for the specific characteristics of the available video formats.